<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEMDTicketFare ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEMDTicketFare
 * @subpackage Arrays
 */
class ArrayOfEMDTicketFare extends AbstractStructArrayBase
{
    /**
     * The EMDTicketFare
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EMDTicketFare[]
     */
    public $EMDTicketFare;
    /**
     * Constructor method for ArrayOfEMDTicketFare
     * @uses ArrayOfEMDTicketFare::setEMDTicketFare()
     * @param \StructType\EMDTicketFare[] $eMDTicketFare
     */
    public function __construct(array $eMDTicketFare = array())
    {
        $this
            ->setEMDTicketFare($eMDTicketFare);
    }
    /**
     * Get EMDTicketFare value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EMDTicketFare[]|null
     */
    public function getEMDTicketFare()
    {
        return isset($this->EMDTicketFare) ? $this->EMDTicketFare : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEMDTicketFare method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEMDTicketFare method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEMDTicketFareForArrayConstraintsFromSetEMDTicketFare(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEMDTicketFareEMDTicketFareItem) {
            // validation for constraint: itemType
            if (!$arrayOfEMDTicketFareEMDTicketFareItem instanceof \StructType\EMDTicketFare) {
                $invalidValues[] = is_object($arrayOfEMDTicketFareEMDTicketFareItem) ? get_class($arrayOfEMDTicketFareEMDTicketFareItem) : sprintf('%s(%s)', gettype($arrayOfEMDTicketFareEMDTicketFareItem), var_export($arrayOfEMDTicketFareEMDTicketFareItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EMDTicketFare property can only contain items of type \StructType\EMDTicketFare, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EMDTicketFare value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EMDTicketFare[] $eMDTicketFare
     * @return \ArrayType\ArrayOfEMDTicketFare
     */
    public function setEMDTicketFare(array $eMDTicketFare = array())
    {
        // validation for constraint: array
        if ('' !== ($eMDTicketFareArrayErrorMessage = self::validateEMDTicketFareForArrayConstraintsFromSetEMDTicketFare($eMDTicketFare))) {
            throw new \InvalidArgumentException($eMDTicketFareArrayErrorMessage, __LINE__);
        }
        if (is_null($eMDTicketFare) || (is_array($eMDTicketFare) && empty($eMDTicketFare))) {
            unset($this->EMDTicketFare);
        } else {
            $this->EMDTicketFare = $eMDTicketFare;
        }
        return $this;
    }
    /**
     * Add item to EMDTicketFare value
     * @throws \InvalidArgumentException
     * @param \StructType\EMDTicketFare $item
     * @return \ArrayType\ArrayOfEMDTicketFare
     */
    public function addToEMDTicketFare(\StructType\EMDTicketFare $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EMDTicketFare) {
            throw new \InvalidArgumentException(sprintf('The EMDTicketFare property can only contain items of type \StructType\EMDTicketFare, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EMDTicketFare[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EMDTicketFare|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EMDTicketFare|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EMDTicketFare|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EMDTicketFare|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EMDTicketFare|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EMDTicketFare
     */
    public function getAttributeName()
    {
        return 'EMDTicketFare';
    }
}
