<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfEMDTicketFareOption ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfEMDTicketFareOption
 * @subpackage Arrays
 */
class ArrayOfEMDTicketFareOption extends AbstractStructArrayBase
{
    /**
     * The EMDTicketFareOption
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\EMDTicketFareOption[]
     */
    public $EMDTicketFareOption;
    /**
     * Constructor method for ArrayOfEMDTicketFareOption
     * @uses ArrayOfEMDTicketFareOption::setEMDTicketFareOption()
     * @param \StructType\EMDTicketFareOption[] $eMDTicketFareOption
     */
    public function __construct(array $eMDTicketFareOption = array())
    {
        $this
            ->setEMDTicketFareOption($eMDTicketFareOption);
    }
    /**
     * Get EMDTicketFareOption value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\EMDTicketFareOption[]|null
     */
    public function getEMDTicketFareOption()
    {
        return isset($this->EMDTicketFareOption) ? $this->EMDTicketFareOption : null;
    }
    /**
     * This method is responsible for validating the values passed to the setEMDTicketFareOption method
     * This method is willingly generated in order to preserve the one-line inline validation within the setEMDTicketFareOption method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateEMDTicketFareOptionForArrayConstraintsFromSetEMDTicketFareOption(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfEMDTicketFareOptionEMDTicketFareOptionItem) {
            // validation for constraint: itemType
            if (!$arrayOfEMDTicketFareOptionEMDTicketFareOptionItem instanceof \StructType\EMDTicketFareOption) {
                $invalidValues[] = is_object($arrayOfEMDTicketFareOptionEMDTicketFareOptionItem) ? get_class($arrayOfEMDTicketFareOptionEMDTicketFareOptionItem) : sprintf('%s(%s)', gettype($arrayOfEMDTicketFareOptionEMDTicketFareOptionItem), var_export($arrayOfEMDTicketFareOptionEMDTicketFareOptionItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The EMDTicketFareOption property can only contain items of type \StructType\EMDTicketFareOption, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set EMDTicketFareOption value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\EMDTicketFareOption[] $eMDTicketFareOption
     * @return \ArrayType\ArrayOfEMDTicketFareOption
     */
    public function setEMDTicketFareOption(array $eMDTicketFareOption = array())
    {
        // validation for constraint: array
        if ('' !== ($eMDTicketFareOptionArrayErrorMessage = self::validateEMDTicketFareOptionForArrayConstraintsFromSetEMDTicketFareOption($eMDTicketFareOption))) {
            throw new \InvalidArgumentException($eMDTicketFareOptionArrayErrorMessage, __LINE__);
        }
        if (is_null($eMDTicketFareOption) || (is_array($eMDTicketFareOption) && empty($eMDTicketFareOption))) {
            unset($this->EMDTicketFareOption);
        } else {
            $this->EMDTicketFareOption = $eMDTicketFareOption;
        }
        return $this;
    }
    /**
     * Add item to EMDTicketFareOption value
     * @throws \InvalidArgumentException
     * @param \StructType\EMDTicketFareOption $item
     * @return \ArrayType\ArrayOfEMDTicketFareOption
     */
    public function addToEMDTicketFareOption(\StructType\EMDTicketFareOption $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\EMDTicketFareOption) {
            throw new \InvalidArgumentException(sprintf('The EMDTicketFareOption property can only contain items of type \StructType\EMDTicketFareOption, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->EMDTicketFareOption[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\EMDTicketFareOption|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\EMDTicketFareOption|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\EMDTicketFareOption|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\EMDTicketFareOption|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\EMDTicketFareOption|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string EMDTicketFareOption
     */
    public function getAttributeName()
    {
        return 'EMDTicketFareOption';
    }
}
