<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfETCouponFlown ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfETCouponFlown
 * @subpackage Arrays
 */
class ArrayOfETCouponFlown extends AbstractStructArrayBase
{
    /**
     * The ETCouponFlown
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ETCouponFlown[]
     */
    public $ETCouponFlown;
    /**
     * Constructor method for ArrayOfETCouponFlown
     * @uses ArrayOfETCouponFlown::setETCouponFlown()
     * @param \StructType\ETCouponFlown[] $eTCouponFlown
     */
    public function __construct(array $eTCouponFlown = array())
    {
        $this
            ->setETCouponFlown($eTCouponFlown);
    }
    /**
     * Get ETCouponFlown value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ETCouponFlown[]|null
     */
    public function getETCouponFlown()
    {
        return isset($this->ETCouponFlown) ? $this->ETCouponFlown : null;
    }
    /**
     * This method is responsible for validating the values passed to the setETCouponFlown method
     * This method is willingly generated in order to preserve the one-line inline validation within the setETCouponFlown method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateETCouponFlownForArrayConstraintsFromSetETCouponFlown(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfETCouponFlownETCouponFlownItem) {
            // validation for constraint: itemType
            if (!$arrayOfETCouponFlownETCouponFlownItem instanceof \StructType\ETCouponFlown) {
                $invalidValues[] = is_object($arrayOfETCouponFlownETCouponFlownItem) ? get_class($arrayOfETCouponFlownETCouponFlownItem) : sprintf('%s(%s)', gettype($arrayOfETCouponFlownETCouponFlownItem), var_export($arrayOfETCouponFlownETCouponFlownItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ETCouponFlown property can only contain items of type \StructType\ETCouponFlown, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ETCouponFlown value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ETCouponFlown[] $eTCouponFlown
     * @return \ArrayType\ArrayOfETCouponFlown
     */
    public function setETCouponFlown(array $eTCouponFlown = array())
    {
        // validation for constraint: array
        if ('' !== ($eTCouponFlownArrayErrorMessage = self::validateETCouponFlownForArrayConstraintsFromSetETCouponFlown($eTCouponFlown))) {
            throw new \InvalidArgumentException($eTCouponFlownArrayErrorMessage, __LINE__);
        }
        if (is_null($eTCouponFlown) || (is_array($eTCouponFlown) && empty($eTCouponFlown))) {
            unset($this->ETCouponFlown);
        } else {
            $this->ETCouponFlown = $eTCouponFlown;
        }
        return $this;
    }
    /**
     * Add item to ETCouponFlown value
     * @throws \InvalidArgumentException
     * @param \StructType\ETCouponFlown $item
     * @return \ArrayType\ArrayOfETCouponFlown
     */
    public function addToETCouponFlown(\StructType\ETCouponFlown $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ETCouponFlown) {
            throw new \InvalidArgumentException(sprintf('The ETCouponFlown property can only contain items of type \StructType\ETCouponFlown, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ETCouponFlown[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ETCouponFlown|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ETCouponFlown|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ETCouponFlown|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ETCouponFlown|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ETCouponFlown|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ETCouponFlown
     */
    public function getAttributeName()
    {
        return 'ETCouponFlown';
    }
}
