<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfExchangeableOriginDestination ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfExchangeableOriginDestination
 * @subpackage Arrays
 */
class ArrayOfExchangeableOriginDestination extends AbstractStructArrayBase
{
    /**
     * The ExchangeableOriginDestination
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ExchangeableOriginDestination[]
     */
    public $ExchangeableOriginDestination;
    /**
     * Constructor method for ArrayOfExchangeableOriginDestination
     * @uses ArrayOfExchangeableOriginDestination::setExchangeableOriginDestination()
     * @param \StructType\ExchangeableOriginDestination[] $exchangeableOriginDestination
     */
    public function __construct(array $exchangeableOriginDestination = array())
    {
        $this
            ->setExchangeableOriginDestination($exchangeableOriginDestination);
    }
    /**
     * Get ExchangeableOriginDestination value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ExchangeableOriginDestination[]|null
     */
    public function getExchangeableOriginDestination()
    {
        return isset($this->ExchangeableOriginDestination) ? $this->ExchangeableOriginDestination : null;
    }
    /**
     * This method is responsible for validating the values passed to the setExchangeableOriginDestination method
     * This method is willingly generated in order to preserve the one-line inline validation within the setExchangeableOriginDestination method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateExchangeableOriginDestinationForArrayConstraintsFromSetExchangeableOriginDestination(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfExchangeableOriginDestinationExchangeableOriginDestinationItem) {
            // validation for constraint: itemType
            if (!$arrayOfExchangeableOriginDestinationExchangeableOriginDestinationItem instanceof \StructType\ExchangeableOriginDestination) {
                $invalidValues[] = is_object($arrayOfExchangeableOriginDestinationExchangeableOriginDestinationItem) ? get_class($arrayOfExchangeableOriginDestinationExchangeableOriginDestinationItem) : sprintf('%s(%s)', gettype($arrayOfExchangeableOriginDestinationExchangeableOriginDestinationItem), var_export($arrayOfExchangeableOriginDestinationExchangeableOriginDestinationItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The ExchangeableOriginDestination property can only contain items of type \StructType\ExchangeableOriginDestination, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set ExchangeableOriginDestination value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ExchangeableOriginDestination[] $exchangeableOriginDestination
     * @return \ArrayType\ArrayOfExchangeableOriginDestination
     */
    public function setExchangeableOriginDestination(array $exchangeableOriginDestination = array())
    {
        // validation for constraint: array
        if ('' !== ($exchangeableOriginDestinationArrayErrorMessage = self::validateExchangeableOriginDestinationForArrayConstraintsFromSetExchangeableOriginDestination($exchangeableOriginDestination))) {
            throw new \InvalidArgumentException($exchangeableOriginDestinationArrayErrorMessage, __LINE__);
        }
        if (is_null($exchangeableOriginDestination) || (is_array($exchangeableOriginDestination) && empty($exchangeableOriginDestination))) {
            unset($this->ExchangeableOriginDestination);
        } else {
            $this->ExchangeableOriginDestination = $exchangeableOriginDestination;
        }
        return $this;
    }
    /**
     * Add item to ExchangeableOriginDestination value
     * @throws \InvalidArgumentException
     * @param \StructType\ExchangeableOriginDestination $item
     * @return \ArrayType\ArrayOfExchangeableOriginDestination
     */
    public function addToExchangeableOriginDestination(\StructType\ExchangeableOriginDestination $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ExchangeableOriginDestination) {
            throw new \InvalidArgumentException(sprintf('The ExchangeableOriginDestination property can only contain items of type \StructType\ExchangeableOriginDestination, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->ExchangeableOriginDestination[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ExchangeableOriginDestination|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ExchangeableOriginDestination|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ExchangeableOriginDestination|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ExchangeableOriginDestination|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ExchangeableOriginDestination|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string ExchangeableOriginDestination
     */
    public function getAttributeName()
    {
        return 'ExchangeableOriginDestination';
    }
}
