<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfFrequentFlyerOperation ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfFrequentFlyerOperation
 * @subpackage Arrays
 */
class ArrayOfFrequentFlyerOperation extends AbstractStructArrayBase
{
    /**
     * The FrequentFlyerOperation
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FrequentFlyerOperation[]
     */
    public $FrequentFlyerOperation;
    /**
     * Constructor method for ArrayOfFrequentFlyerOperation
     * @uses ArrayOfFrequentFlyerOperation::setFrequentFlyerOperation()
     * @param \StructType\FrequentFlyerOperation[] $frequentFlyerOperation
     */
    public function __construct(array $frequentFlyerOperation = array())
    {
        $this
            ->setFrequentFlyerOperation($frequentFlyerOperation);
    }
    /**
     * Get FrequentFlyerOperation value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FrequentFlyerOperation[]|null
     */
    public function getFrequentFlyerOperation()
    {
        return isset($this->FrequentFlyerOperation) ? $this->FrequentFlyerOperation : null;
    }
    /**
     * This method is responsible for validating the values passed to the setFrequentFlyerOperation method
     * This method is willingly generated in order to preserve the one-line inline validation within the setFrequentFlyerOperation method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateFrequentFlyerOperationForArrayConstraintsFromSetFrequentFlyerOperation(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfFrequentFlyerOperationFrequentFlyerOperationItem) {
            // validation for constraint: itemType
            if (!$arrayOfFrequentFlyerOperationFrequentFlyerOperationItem instanceof \StructType\FrequentFlyerOperation) {
                $invalidValues[] = is_object($arrayOfFrequentFlyerOperationFrequentFlyerOperationItem) ? get_class($arrayOfFrequentFlyerOperationFrequentFlyerOperationItem) : sprintf('%s(%s)', gettype($arrayOfFrequentFlyerOperationFrequentFlyerOperationItem), var_export($arrayOfFrequentFlyerOperationFrequentFlyerOperationItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The FrequentFlyerOperation property can only contain items of type \StructType\FrequentFlyerOperation, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set FrequentFlyerOperation value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\FrequentFlyerOperation[] $frequentFlyerOperation
     * @return \ArrayType\ArrayOfFrequentFlyerOperation
     */
    public function setFrequentFlyerOperation(array $frequentFlyerOperation = array())
    {
        // validation for constraint: array
        if ('' !== ($frequentFlyerOperationArrayErrorMessage = self::validateFrequentFlyerOperationForArrayConstraintsFromSetFrequentFlyerOperation($frequentFlyerOperation))) {
            throw new \InvalidArgumentException($frequentFlyerOperationArrayErrorMessage, __LINE__);
        }
        if (is_null($frequentFlyerOperation) || (is_array($frequentFlyerOperation) && empty($frequentFlyerOperation))) {
            unset($this->FrequentFlyerOperation);
        } else {
            $this->FrequentFlyerOperation = $frequentFlyerOperation;
        }
        return $this;
    }
    /**
     * Add item to FrequentFlyerOperation value
     * @throws \InvalidArgumentException
     * @param \StructType\FrequentFlyerOperation $item
     * @return \ArrayType\ArrayOfFrequentFlyerOperation
     */
    public function addToFrequentFlyerOperation(\StructType\FrequentFlyerOperation $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\FrequentFlyerOperation) {
            throw new \InvalidArgumentException(sprintf('The FrequentFlyerOperation property can only contain items of type \StructType\FrequentFlyerOperation, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->FrequentFlyerOperation[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\FrequentFlyerOperation|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\FrequentFlyerOperation|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\FrequentFlyerOperation|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\FrequentFlyerOperation|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\FrequentFlyerOperation|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string FrequentFlyerOperation
     */
    public function getAttributeName()
    {
        return 'FrequentFlyerOperation';
    }
}
