<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPassengerSplitReference ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfPassengerSplitReference
 * @subpackage Arrays
 */
class ArrayOfPassengerSplitReference extends AbstractStructArrayBase
{
    /**
     * The PassengerSplitReference
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PassengerSplitReference[]
     */
    public $PassengerSplitReference;
    /**
     * Constructor method for ArrayOfPassengerSplitReference
     * @uses ArrayOfPassengerSplitReference::setPassengerSplitReference()
     * @param \StructType\PassengerSplitReference[] $passengerSplitReference
     */
    public function __construct(array $passengerSplitReference = array())
    {
        $this
            ->setPassengerSplitReference($passengerSplitReference);
    }
    /**
     * Get PassengerSplitReference value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PassengerSplitReference[]|null
     */
    public function getPassengerSplitReference()
    {
        return isset($this->PassengerSplitReference) ? $this->PassengerSplitReference : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPassengerSplitReference method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPassengerSplitReference method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePassengerSplitReferenceForArrayConstraintsFromSetPassengerSplitReference(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPassengerSplitReferencePassengerSplitReferenceItem) {
            // validation for constraint: itemType
            if (!$arrayOfPassengerSplitReferencePassengerSplitReferenceItem instanceof \StructType\PassengerSplitReference) {
                $invalidValues[] = is_object($arrayOfPassengerSplitReferencePassengerSplitReferenceItem) ? get_class($arrayOfPassengerSplitReferencePassengerSplitReferenceItem) : sprintf('%s(%s)', gettype($arrayOfPassengerSplitReferencePassengerSplitReferenceItem), var_export($arrayOfPassengerSplitReferencePassengerSplitReferenceItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PassengerSplitReference property can only contain items of type \StructType\PassengerSplitReference, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PassengerSplitReference value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\PassengerSplitReference[] $passengerSplitReference
     * @return \ArrayType\ArrayOfPassengerSplitReference
     */
    public function setPassengerSplitReference(array $passengerSplitReference = array())
    {
        // validation for constraint: array
        if ('' !== ($passengerSplitReferenceArrayErrorMessage = self::validatePassengerSplitReferenceForArrayConstraintsFromSetPassengerSplitReference($passengerSplitReference))) {
            throw new \InvalidArgumentException($passengerSplitReferenceArrayErrorMessage, __LINE__);
        }
        if (is_null($passengerSplitReference) || (is_array($passengerSplitReference) && empty($passengerSplitReference))) {
            unset($this->PassengerSplitReference);
        } else {
            $this->PassengerSplitReference = $passengerSplitReference;
        }
        return $this;
    }
    /**
     * Add item to PassengerSplitReference value
     * @throws \InvalidArgumentException
     * @param \StructType\PassengerSplitReference $item
     * @return \ArrayType\ArrayOfPassengerSplitReference
     */
    public function addToPassengerSplitReference(\StructType\PassengerSplitReference $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\PassengerSplitReference) {
            throw new \InvalidArgumentException(sprintf('The PassengerSplitReference property can only contain items of type \StructType\PassengerSplitReference, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PassengerSplitReference[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\PassengerSplitReference|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\PassengerSplitReference|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\PassengerSplitReference|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\PassengerSplitReference|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\PassengerSplitReference|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PassengerSplitReference
     */
    public function getAttributeName()
    {
        return 'PassengerSplitReference';
    }
}
