<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfSeatArea ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfSeatArea
 * @subpackage Arrays
 */
class ArrayOfSeatArea extends AbstractStructArrayBase
{
    /**
     * The SeatArea
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SeatArea[]
     */
    public $SeatArea;
    /**
     * Constructor method for ArrayOfSeatArea
     * @uses ArrayOfSeatArea::setSeatArea()
     * @param \StructType\SeatArea[] $seatArea
     */
    public function __construct(array $seatArea = array())
    {
        $this
            ->setSeatArea($seatArea);
    }
    /**
     * Get SeatArea value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SeatArea[]|null
     */
    public function getSeatArea()
    {
        return isset($this->SeatArea) ? $this->SeatArea : null;
    }
    /**
     * This method is responsible for validating the values passed to the setSeatArea method
     * This method is willingly generated in order to preserve the one-line inline validation within the setSeatArea method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateSeatAreaForArrayConstraintsFromSetSeatArea(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfSeatAreaSeatAreaItem) {
            // validation for constraint: itemType
            if (!$arrayOfSeatAreaSeatAreaItem instanceof \StructType\SeatArea) {
                $invalidValues[] = is_object($arrayOfSeatAreaSeatAreaItem) ? get_class($arrayOfSeatAreaSeatAreaItem) : sprintf('%s(%s)', gettype($arrayOfSeatAreaSeatAreaItem), var_export($arrayOfSeatAreaSeatAreaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The SeatArea property can only contain items of type \StructType\SeatArea, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set SeatArea value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\SeatArea[] $seatArea
     * @return \ArrayType\ArrayOfSeatArea
     */
    public function setSeatArea(array $seatArea = array())
    {
        // validation for constraint: array
        if ('' !== ($seatAreaArrayErrorMessage = self::validateSeatAreaForArrayConstraintsFromSetSeatArea($seatArea))) {
            throw new \InvalidArgumentException($seatAreaArrayErrorMessage, __LINE__);
        }
        if (is_null($seatArea) || (is_array($seatArea) && empty($seatArea))) {
            unset($this->SeatArea);
        } else {
            $this->SeatArea = $seatArea;
        }
        return $this;
    }
    /**
     * Add item to SeatArea value
     * @throws \InvalidArgumentException
     * @param \StructType\SeatArea $item
     * @return \ArrayType\ArrayOfSeatArea
     */
    public function addToSeatArea(\StructType\SeatArea $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\SeatArea) {
            throw new \InvalidArgumentException(sprintf('The SeatArea property can only contain items of type \StructType\SeatArea, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->SeatArea[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\SeatArea|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\SeatArea|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\SeatArea|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\SeatArea|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\SeatArea|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string SeatArea
     */
    public function getAttributeName()
    {
        return 'SeatArea';
    }
}
