<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTTIExceptionDetailData ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTTIExceptionDetailData
 * @subpackage Arrays
 */
class ArrayOfTTIExceptionDetailData extends AbstractStructArrayBase
{
    /**
     * The TTIExceptionDetailData
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TTIExceptionDetailData[]
     */
    public $TTIExceptionDetailData;
    /**
     * Constructor method for ArrayOfTTIExceptionDetailData
     * @uses ArrayOfTTIExceptionDetailData::setTTIExceptionDetailData()
     * @param \StructType\TTIExceptionDetailData[] $tTIExceptionDetailData
     */
    public function __construct(array $tTIExceptionDetailData = array())
    {
        $this
            ->setTTIExceptionDetailData($tTIExceptionDetailData);
    }
    /**
     * Get TTIExceptionDetailData value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TTIExceptionDetailData[]|null
     */
    public function getTTIExceptionDetailData()
    {
        return isset($this->TTIExceptionDetailData) ? $this->TTIExceptionDetailData : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTTIExceptionDetailData method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTTIExceptionDetailData method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTTIExceptionDetailDataForArrayConstraintsFromSetTTIExceptionDetailData(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTTIExceptionDetailDataTTIExceptionDetailDataItem) {
            // validation for constraint: itemType
            if (!$arrayOfTTIExceptionDetailDataTTIExceptionDetailDataItem instanceof \StructType\TTIExceptionDetailData) {
                $invalidValues[] = is_object($arrayOfTTIExceptionDetailDataTTIExceptionDetailDataItem) ? get_class($arrayOfTTIExceptionDetailDataTTIExceptionDetailDataItem) : sprintf('%s(%s)', gettype($arrayOfTTIExceptionDetailDataTTIExceptionDetailDataItem), var_export($arrayOfTTIExceptionDetailDataTTIExceptionDetailDataItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TTIExceptionDetailData property can only contain items of type \StructType\TTIExceptionDetailData, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TTIExceptionDetailData value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TTIExceptionDetailData[] $tTIExceptionDetailData
     * @return \ArrayType\ArrayOfTTIExceptionDetailData
     */
    public function setTTIExceptionDetailData(array $tTIExceptionDetailData = array())
    {
        // validation for constraint: array
        if ('' !== ($tTIExceptionDetailDataArrayErrorMessage = self::validateTTIExceptionDetailDataForArrayConstraintsFromSetTTIExceptionDetailData($tTIExceptionDetailData))) {
            throw new \InvalidArgumentException($tTIExceptionDetailDataArrayErrorMessage, __LINE__);
        }
        if (is_null($tTIExceptionDetailData) || (is_array($tTIExceptionDetailData) && empty($tTIExceptionDetailData))) {
            unset($this->TTIExceptionDetailData);
        } else {
            $this->TTIExceptionDetailData = $tTIExceptionDetailData;
        }
        return $this;
    }
    /**
     * Add item to TTIExceptionDetailData value
     * @throws \InvalidArgumentException
     * @param \StructType\TTIExceptionDetailData $item
     * @return \ArrayType\ArrayOfTTIExceptionDetailData
     */
    public function addToTTIExceptionDetailData(\StructType\TTIExceptionDetailData $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TTIExceptionDetailData) {
            throw new \InvalidArgumentException(sprintf('The TTIExceptionDetailData property can only contain items of type \StructType\TTIExceptionDetailData, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TTIExceptionDetailData[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TTIExceptionDetailData|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TTIExceptionDetailData|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TTIExceptionDetailData|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TTIExceptionDetailData|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TTIExceptionDetailData|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TTIExceptionDetailData
     */
    public function getAttributeName()
    {
        return 'TTIExceptionDetailData';
    }
}
