<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'Preload' => '\\StructType\\Preload',
            'PreloadMessageRequest' => '\\StructType\\PreloadMessageRequest',
            'MessageRequest' => '\\StructType\\MessageRequest',
            'MessageContext' => '\\StructType\\MessageContext',
            'MessageReferer' => '\\StructType\\MessageReferer',
            'ArrayOfMessageIdentity' => '\\ArrayType\\ArrayOfMessageIdentity',
            'MessageIdentity' => '\\StructType\\MessageIdentity',
            'PreloadResponse' => '\\StructType\\PreloadResponse',
            'PreloadMessageResponse' => '\\StructType\\PreloadMessageResponse',
            'MessageResponse' => '\\StructType\\MessageResponse',
            'MessageReponseWarning' => '\\StructType\\MessageReponseWarning',
            'Ping' => '\\StructType\\Ping',
            'PingResponse' => '\\StructType\\PingResponse',
            'AuthenticateCredentials' => '\\StructType\\AuthenticateCredentials',
            'AuthenticateCredentialsResponse' => '\\StructType\\AuthenticateCredentialsResponse',
            'SaleConfiguration' => '\\StructType\\SaleConfiguration',
            'SaleConfigurationResponse' => '\\StructType\\SaleConfigurationResponse',
            'GetValueCodeList' => '\\StructType\\GetValueCodeList',
            'GetValueCodeListResponse' => '\\StructType\\GetValueCodeListResponse',
            'GetValueCodes' => '\\StructType\\GetValueCodes',
            'GetValueCodesResponse' => '\\StructType\\GetValueCodesResponse',
            'EligibleOriginDestinations' => '\\StructType\\EligibleOriginDestinations',
            'EligibleOriginDestinationsResponse' => '\\StructType\\EligibleOriginDestinationsResponse',
            'Calendar' => '\\StructType\\Calendar',
            'CalendarResponse' => '\\StructType\\CalendarResponse',
            'SearchFlights' => '\\StructType\\SearchFlights',
            'SearchFlightsResponse' => '\\StructType\\SearchFlightsResponse',
            'PrepareFlights' => '\\StructType\\PrepareFlights',
            'PrepareFlightsResponse' => '\\StructType\\PrepareFlightsResponse',
            'CreateBooking' => '\\StructType\\CreateBooking',
            'CreateBookingResponse' => '\\StructType\\CreateBookingResponse',
            'LoadBooking' => '\\StructType\\LoadBooking',
            'LoadBookingResponse' => '\\StructType\\LoadBookingResponse',
            'SearchBooking' => '\\StructType\\SearchBooking',
            'SearchBookingResponse' => '\\StructType\\SearchBookingResponse',
            'CreateTicket' => '\\StructType\\CreateTicket',
            'CreateTicketResponse' => '\\StructType\\CreateTicketResponse',
            'SendTicketConfirmation' => '\\StructType\\SendTicketConfirmation',
            'SendTicketConfirmationResponse' => '\\StructType\\SendTicketConfirmationResponse',
            'LoadMCOTickets' => '\\StructType\\LoadMCOTickets',
            'LoadMCOTicketsResponse' => '\\StructType\\LoadMCOTicketsResponse',
            'LoadECoupons' => '\\StructType\\LoadECoupons',
            'LoadECouponsResponse' => '\\StructType\\LoadECouponsResponse',
            'PrepareBookingModification' => '\\StructType\\PrepareBookingModification',
            'PrepareBookingModificationResponse' => '\\StructType\\PrepareBookingModificationResponse',
            'ModifyBooking' => '\\StructType\\ModifyBooking',
            'ModifyBookingResponse' => '\\StructType\\ModifyBookingResponse',
            'SplitBooking' => '\\StructType\\SplitBooking',
            'SplitBookingResponse' => '\\StructType\\SplitBookingResponse',
            'SearchFlightsForExchange' => '\\StructType\\SearchFlightsForExchange',
            'SearchFlightsForExchangeResponse' => '\\StructType\\SearchFlightsForExchangeResponse',
            'PrepareExchange' => '\\StructType\\PrepareExchange',
            'PrepareExchangeResponse' => '\\StructType\\PrepareExchangeResponse',
            'Exchange' => '\\StructType\\Exchange',
            'ExchangeResponse' => '\\StructType\\ExchangeResponse',
            'CancelPendingExchange' => '\\StructType\\CancelPendingExchange',
            'CancelPendingExchangeResponse' => '\\StructType\\CancelPendingExchangeResponse',
            'SearchFlightsForAdditionalItinerary' => '\\StructType\\SearchFlightsForAdditionalItinerary',
            'SearchFlightsForAdditionalItineraryResponse' => '\\StructType\\SearchFlightsForAdditionalItineraryResponse',
            'PrepareAdditionalItinerary' => '\\StructType\\PrepareAdditionalItinerary',
            'PrepareAdditionalItineraryResponse' => '\\StructType\\PrepareAdditionalItineraryResponse',
            'AddItinerary' => '\\StructType\\AddItinerary',
            'AddItineraryResponse' => '\\StructType\\AddItineraryResponse',
            'PrepareCheckin' => '\\StructType\\PrepareCheckin',
            'PrepareCheckinResponse' => '\\StructType\\PrepareCheckinResponse',
            'Checkin' => '\\StructType\\Checkin',
            'CheckinResponse' => '\\StructType\\CheckinResponse',
            'Uncheck' => '\\StructType\\Uncheck',
            'UncheckResponse' => '\\StructType\\UncheckResponse',
            'PrepareCancel' => '\\StructType\\PrepareCancel',
            'PrepareCancelResponse' => '\\StructType\\PrepareCancelResponse',
            'Cancel' => '\\StructType\\Cancel',
            'CancelResponse' => '\\StructType\\CancelResponse',
            'SearchServices' => '\\StructType\\SearchServices',
            'SearchServicesResponse' => '\\StructType\\SearchServicesResponse',
            'BuyServices' => '\\StructType\\BuyServices',
            'BuyServicesResponse' => '\\StructType\\BuyServicesResponse',
            'LoadCustomer' => '\\StructType\\LoadCustomer',
            'LoadCustomerResponse' => '\\StructType\\LoadCustomerResponse',
            'NewCustomer' => '\\StructType\\NewCustomer',
            'NewCustomerResponse' => '\\StructType\\NewCustomerResponse',
            'UpdateCustomer' => '\\StructType\\UpdateCustomer',
            'UpdateCustomerResponse' => '\\StructType\\UpdateCustomerResponse',
            'LostCustomerPassword' => '\\StructType\\LostCustomerPassword',
            'LostCustomerPasswordResponse' => '\\StructType\\LostCustomerPasswordResponse',
            'ChangeCustomerPassword' => '\\StructType\\ChangeCustomerPassword',
            'ChangeCustomerPasswordResponse' => '\\StructType\\ChangeCustomerPasswordResponse',
            'CustomerPasswordPolicies' => '\\StructType\\CustomerPasswordPolicies',
            'CustomerPasswordPoliciesResponse' => '\\StructType\\CustomerPasswordPoliciesResponse',
            'SendCustomerRemovalRequest' => '\\StructType\\SendCustomerRemovalRequest',
            'SendCustomerRemovalRequestResponse' => '\\StructType\\SendCustomerRemovalRequestResponse',
            'LoadFrequentFlyerAccount' => '\\StructType\\LoadFrequentFlyerAccount',
            'LoadFrequentFlyerAccountResponse' => '\\StructType\\LoadFrequentFlyerAccountResponse',
            'ActivateFrequentFlyerAccount' => '\\StructType\\ActivateFrequentFlyerAccount',
            'ActivateFrequentFlyerAccountResponse' => '\\StructType\\ActivateFrequentFlyerAccountResponse',
            'FrequentFlyerMileageCalculator' => '\\StructType\\FrequentFlyerMileageCalculator',
            'FrequentFlyerMileageCalculatorResponse' => '\\StructType\\FrequentFlyerMileageCalculatorResponse',
            'EventMap' => '\\StructType\\EventMap',
            'EventMapResponse' => '\\StructType\\EventMapResponse',
            'FlownCoupons' => '\\StructType\\FlownCoupons',
            'FlownCouponsResponse' => '\\StructType\\FlownCouponsResponse',
            'FlightStatus' => '\\StructType\\FlightStatus',
            'FlightStatusResponse' => '\\StructType\\FlightStatusResponse',
            'TTIExceptionDetail' => '\\StructType\\TTIExceptionDetail',
            'ArrayOfTTIExceptionDetailData' => '\\ArrayType\\ArrayOfTTIExceptionDetailData',
            'TTIExceptionDetailData' => '\\StructType\\TTIExceptionDetailData',
            'PingRequest' => '\\StructType\\PingRequest',
            'AbstractRequest' => '\\StructType\\AbstractRequest',
            'AbstractResponse' => '\\StructType\\AbstractResponse',
            'AuthenticateCredentialsRequest' => '\\StructType\\AuthenticateCredentialsRequest',
            'SaleConfigurationRequest' => '\\StructType\\SaleConfigurationRequest',
            'GetValueCodeListRequest' => '\\StructType\\GetValueCodeListRequest',
            'GetValueCodesRequest' => '\\StructType\\GetValueCodesRequest',
            'EligibleOriginDestinationsRequest' => '\\StructType\\EligibleOriginDestinationsRequest',
            'CalendarRequest' => '\\StructType\\CalendarRequest',
            'SearchFlightsRequest' => '\\StructType\\SearchFlightsRequest',
            'PrepareFlightsRequest' => '\\StructType\\PrepareFlightsRequest',
            'CreateBookingRequest' => '\\StructType\\CreateBookingRequest',
            'LoadBookingRequest' => '\\StructType\\LoadBookingRequest',
            'SearchBookingRequest' => '\\StructType\\SearchBookingRequest',
            'CreateTicketRequest' => '\\StructType\\CreateTicketRequest',
            'SendTicketConfirmationRequest' => '\\StructType\\SendTicketConfirmationRequest',
            'LoadMCOTicketsRequest' => '\\StructType\\LoadMCOTicketsRequest',
            'LoadECouponsRequest' => '\\StructType\\LoadECouponsRequest',
            'PrepareBookingModificationRequest' => '\\StructType\\PrepareBookingModificationRequest',
            'ModifyBookingRequest' => '\\StructType\\ModifyBookingRequest',
            'SplitBookingRequest' => '\\StructType\\SplitBookingRequest',
            'SearchFlightsForExchangeRequest' => '\\StructType\\SearchFlightsForExchangeRequest',
            'PrepareExchangeRequest' => '\\StructType\\PrepareExchangeRequest',
            'ExchangeRequest' => '\\StructType\\ExchangeRequest',
            'CancelPendingExchangeRequest' => '\\StructType\\CancelPendingExchangeRequest',
            'SearchFlightsForAdditionalItineraryRequest' => '\\StructType\\SearchFlightsForAdditionalItineraryRequest',
            'PrepareAdditionalItineraryRequest' => '\\StructType\\PrepareAdditionalItineraryRequest',
            'AddItineraryRequest' => '\\StructType\\AddItineraryRequest',
            'PrepareCheckinRequest' => '\\StructType\\PrepareCheckinRequest',
            'CheckinRequest' => '\\StructType\\CheckinRequest',
            'UncheckRequest' => '\\StructType\\UncheckRequest',
            'PrepareCancelRequest' => '\\StructType\\PrepareCancelRequest',
            'CancelRequest' => '\\StructType\\CancelRequest',
            'SearchServicesRequest' => '\\StructType\\SearchServicesRequest',
            'BuyServicesRequest' => '\\StructType\\BuyServicesRequest',
            'LoadCustomerRequest' => '\\StructType\\LoadCustomerRequest',
            'NewCustomerRequest' => '\\StructType\\NewCustomerRequest',
            'UpdateCustomerRequest' => '\\StructType\\UpdateCustomerRequest',
            'LostCustomerPasswordRequest' => '\\StructType\\LostCustomerPasswordRequest',
            'ChangeCustomerPasswordRequest' => '\\StructType\\ChangeCustomerPasswordRequest',
            'CustomerPasswordPoliciesRequest' => '\\StructType\\CustomerPasswordPoliciesRequest',
            'SendCustomerRemovalRequestRequest' => '\\StructType\\SendCustomerRemovalRequestRequest',
            'LoadFrequentFlyerAccountRequest' => '\\StructType\\LoadFrequentFlyerAccountRequest',
            'ActivateFrequentFlyerAccountRequest' => '\\StructType\\ActivateFrequentFlyerAccountRequest',
            'FrequentFlyerMileageCalculatorRequest' => '\\StructType\\FrequentFlyerMileageCalculatorRequest',
            'EventMapRequest' => '\\StructType\\EventMapRequest',
            'FlownCouponsRequest' => '\\StructType\\FlownCouponsRequest',
            'FlightStatusRequest' => '\\StructType\\FlightStatusRequest',
            'ApiObject' => '\\StructType\\ApiObject',
            'XElementList' => '\\StructType\\XElementList',
            'Extension' => '\\StructType\\Extension',
            'RequestInfo' => '\\StructType\\RequestInfo',
            'ResponseInfo' => '\\StructType\\ResponseInfo',
            'ApiError' => '\\StructType\\ApiError',
            'Notification' => '\\StructType\\Notification',
            'ArrayOfApiWarning' => '\\ArrayType\\ArrayOfApiWarning',
            'ApiWarning' => '\\StructType\\ApiWarning',
            'ArrayOfValueCode' => '\\ArrayType\\ArrayOfValueCode',
            'ValueCode' => '\\StructType\\ValueCode',
            'ArrayOfValueCodeProperty' => '\\ArrayType\\ArrayOfValueCodeProperty',
            'ValueCodeProperty' => '\\StructType\\ValueCodeProperty',
            'ArrayOfFormOfPaymentConfig' => '\\ArrayType\\ArrayOfFormOfPaymentConfig',
            'FormOfPaymentConfig' => '\\StructType\\FormOfPaymentConfig',
            'Fop' => '\\StructType\\Fop',
            'FormOfPaymentBankTransferInfo' => '\\StructType\\FormOfPaymentBankTransferInfo',
            'FormOfPaymentBankInfo' => '\\StructType\\FormOfPaymentBankInfo',
            'FormOfPaymentCheckInfo' => '\\StructType\\FormOfPaymentCheckInfo',
            'FormOfPaymentECouponInfo' => '\\StructType\\FormOfPaymentECouponInfo',
            'FormOfPaymentMCOInfo' => '\\StructType\\FormOfPaymentMCOInfo',
            'FormOfPaymentMiscInfo' => '\\StructType\\FormOfPaymentMiscInfo',
            'FormOfPaymentRedirectInfo' => '\\StructType\\FormOfPaymentRedirectInfo',
            'FormOfPaymentSecureCardInfo' => '\\StructType\\FormOfPaymentSecureCardInfo',
            'FormOfPaymentUnsecureCardInfo' => '\\StructType\\FormOfPaymentUnsecureCardInfo',
            'OnlinePaymentInfo' => '\\StructType\\OnlinePaymentInfo',
            'ETTicketTarget' => '\\StructType\\ETTicketTarget',
            'ElectronicDocument' => '\\StructType\\ElectronicDocument',
            'TicketInfo' => '\\StructType\\TicketInfo',
            'ArrayOfEMDTicket' => '\\ArrayType\\ArrayOfEMDTicket',
            'EMDTicket' => '\\StructType\\EMDTicket',
            'AbstractTicket' => '\\StructType\\AbstractTicket',
            'EMDTicketIataInfo' => '\\StructType\\EMDTicketIataInfo',
            'ArrayOfETTicket' => '\\ArrayType\\ArrayOfETTicket',
            'ETTicket' => '\\StructType\\ETTicket',
            'ArrayOfETCoupon' => '\\ArrayType\\ArrayOfETCoupon',
            'ETCoupon' => '\\StructType\\ETCoupon',
            'FinalStatusInfo' => '\\StructType\\FinalStatusInfo',
            'SegmentSold' => '\\StructType\\SegmentSold',
            'ETCouponDetails' => '\\StructType\\ETCouponDetails',
            'ETTicketDetails' => '\\StructType\\ETTicketDetails',
            'IFTIssuanceInfo' => '\\StructType\\IFTIssuanceInfo',
            'ORGIssuanceInfo' => '\\StructType\\ORGIssuanceInfo',
            'DATIssuanceInfo' => '\\StructType\\DATIssuanceInfo',
            'PartnerIssuanceInfo' => '\\StructType\\PartnerIssuanceInfo',
            'ArrayOfETCouponExchangedInfo' => '\\ArrayType\\ArrayOfETCouponExchangedInfo',
            'ETCouponExchangedInfo' => '\\StructType\\ETCouponExchangedInfo',
            'ArrayOfFop' => '\\ArrayType\\ArrayOfFop',
            'FormOfPaymentRedirectResult' => '\\StructType\\FormOfPaymentRedirectResult',
            'CustomerMCOReference' => '\\StructType\\CustomerMCOReference',
            'PnrMCOReference' => '\\StructType\\PnrMCOReference',
            'ArrayOfMCOTicket' => '\\ArrayType\\ArrayOfMCOTicket',
            'MCOTicket' => '\\StructType\\MCOTicket',
            'ArrayOfECouponBook' => '\\ArrayType\\ArrayOfECouponBook',
            'ECouponBook' => '\\StructType\\ECouponBook',
            'ArrayOfECoupon' => '\\ArrayType\\ArrayOfECoupon',
            'ECoupon' => '\\StructType\\ECoupon',
            'ArrayOfETTicketTarget' => '\\ArrayType\\ArrayOfETTicketTarget',
            'ArrayOfETCouponFlown' => '\\ArrayType\\ArrayOfETCouponFlown',
            'ETCouponFlown' => '\\StructType\\ETCouponFlown',
            'ArrayOfstring' => '\\ArrayType\\ArrayOfstring',
            'ArrayOfint' => '\\ArrayType\\ArrayOfint',
            'ArrayOfOriginDestinationTree' => '\\ArrayType\\ArrayOfOriginDestinationTree',
            'OriginDestinationTree' => '\\StructType\\OriginDestinationTree',
            'RefundConfig' => '\\StructType\\RefundConfig',
            'ArrayOfWebClassFilter' => '\\ArrayType\\ArrayOfWebClassFilter',
            'WebClassFilter' => '\\StructType\\WebClassFilter',
            'OfferOut' => '\\StructType\\OfferOut',
            'OfferRef' => '\\StructType\\OfferRef',
            'OfferIn' => '\\StructType\\OfferIn',
            'Booking' => '\\StructType\\Booking',
            'MiscInfo' => '\\StructType\\MiscInfo',
            'CancelInfo' => '\\StructType\\CancelInfo',
            'ArrayOfExchangeableOriginDestination' => '\\ArrayType\\ArrayOfExchangeableOriginDestination',
            'ExchangeableOriginDestination' => '\\StructType\\ExchangeableOriginDestination',
            'RefundRequestInfo' => '\\StructType\\RefundRequestInfo',
            'UniqueID' => '\\StructType\\UniqueID',
            'ArrayOfBookingSummary' => '\\ArrayType\\ArrayOfBookingSummary',
            'BookingSummary' => '\\StructType\\BookingSummary',
            'CancelSettings' => '\\StructType\\CancelSettings',
            'CancelSegmentSettings' => '\\StructType\\CancelSegmentSettings',
            'RefundRequestSettings' => '\\StructType\\RefundRequestSettings',
            'RefundSettings' => '\\StructType\\RefundSettings',
            'EventInfo' => '\\StructType\\EventInfo',
            'ArrayOfFrequentFlyerLevel' => '\\ArrayType\\ArrayOfFrequentFlyerLevel',
            'FrequentFlyerLevel' => '\\StructType\\FrequentFlyerLevel',
            'CustomerDocument' => '\\StructType\\CustomerDocument',
            'CustomerPrivateReference' => '\\StructType\\CustomerPrivateReference',
            'CustomerPublicReference' => '\\StructType\\CustomerPublicReference',
            'Customer' => '\\StructType\\Customer',
            'ArrayOfCustomerAddress' => '\\ArrayType\\ArrayOfCustomerAddress',
            'CustomerAddress' => '\\StructType\\CustomerAddress',
            'ArrayOfCustomerDocument' => '\\ArrayType\\ArrayOfCustomerDocument',
            'ArrayOfCustomerEmail' => '\\ArrayType\\ArrayOfCustomerEmail',
            'CustomerEmail' => '\\StructType\\CustomerEmail',
            'ArrayOfCustomerPhone' => '\\ArrayType\\ArrayOfCustomerPhone',
            'CustomerPhone' => '\\StructType\\CustomerPhone',
            'ArrayOfCustomerPasswordPolicy' => '\\ArrayType\\ArrayOfCustomerPasswordPolicy',
            'CustomerPasswordPolicy' => '\\StructType\\CustomerPasswordPolicy',
            'FrequentFlyerAccount' => '\\StructType\\FrequentFlyerAccount',
            'ArrayOfFrequentFlyerOperation' => '\\ArrayType\\ArrayOfFrequentFlyerOperation',
            'FrequentFlyerOperation' => '\\StructType\\FrequentFlyerOperation',
            'ArrayOfFrequentFlyerAward' => '\\ArrayType\\ArrayOfFrequentFlyerAward',
            'FrequentFlyerAward' => '\\StructType\\FrequentFlyerAward',
            'ArrayOfOriginDestination' => '\\ArrayType\\ArrayOfOriginDestination',
            'OriginDestination' => '\\StructType\\OriginDestination',
            'CityPair' => '\\StructType\\CityPair',
            'ArrayOfOriginDestinationCalendarQuery' => '\\ArrayType\\ArrayOfOriginDestinationCalendarQuery',
            'OriginDestinationCalendarQuery' => '\\StructType\\OriginDestinationCalendarQuery',
            'ArrayOfOriginDestinationCalendarResult' => '\\ArrayType\\ArrayOfOriginDestinationCalendarResult',
            'OriginDestinationCalendarResult' => '\\StructType\\OriginDestinationCalendarResult',
            'ArrayOfCalendarDay' => '\\ArrayType\\ArrayOfCalendarDay',
            'CalendarDay' => '\\StructType\\CalendarDay',
            'AvailabilitySettings' => '\\StructType\\AvailabilitySettings',
            'ArrayOfPassenger' => '\\ArrayType\\ArrayOfPassenger',
            'Passenger' => '\\StructType\\Passenger',
            'NameElement' => '\\StructType\\NameElement',
            'ArrayOfSegmentOption' => '\\ArrayType\\ArrayOfSegmentOption',
            'SegmentOption' => '\\StructType\\SegmentOption',
            'SegmentRef' => '\\StructType\\SegmentRef',
            'Segment' => '\\StructType\\Segment',
            'FlightInfo' => '\\StructType\\FlightInfo',
            'ArrayOfStop' => '\\ArrayType\\ArrayOfStop',
            'Stop' => '\\StructType\\Stop',
            'SegmentBooking' => '\\StructType\\SegmentBooking',
            'BookingClass' => '\\StructType\\BookingClass',
            'ArrayOfBookingClass' => '\\ArrayType\\ArrayOfBookingClass',
            'ArrayOfSegmentBooking' => '\\ArrayType\\ArrayOfSegmentBooking',
            'ArrayOfSpecialService' => '\\ArrayType\\ArrayOfSpecialService',
            'SpecialService' => '\\StructType\\SpecialService',
            'SpecialServiceReference' => '\\StructType\\SpecialServiceReference',
            'SpecialServiceData' => '\\StructType\\SpecialServiceData',
            'SpecialServiceDataPassengerType' => '\\StructType\\SpecialServiceDataPassengerType',
            'SpecialServiceDataPnrBillingInformation' => '\\StructType\\SpecialServiceDataPnrBillingInformation',
            'SpecialServiceDataDoca' => '\\StructType\\SpecialServiceDataDoca',
            'SpecialServiceDataDoco' => '\\StructType\\SpecialServiceDataDoco',
            'SpecialServiceDataDocs' => '\\StructType\\SpecialServiceDataDocs',
            'ArrayOfDocument' => '\\ArrayType\\ArrayOfDocument',
            'Document' => '\\StructType\\Document',
            'SpecialServiceDataFoid' => '\\StructType\\SpecialServiceDataFoid',
            'SpecialServiceDataPnrEmergencyContact' => '\\StructType\\SpecialServiceDataPnrEmergencyContact',
            'SpecialServiceDataFqtv' => '\\StructType\\SpecialServiceDataFqtv',
            'SpecialServiceDataPnrContact' => '\\StructType\\SpecialServiceDataPnrContact',
            'SpecialServiceDataSeat' => '\\StructType\\SpecialServiceDataSeat',
            'SpecialServiceDataSeatBase' => '\\StructType\\SpecialServiceDataSeatBase',
            'ArrayOfSeatMap' => '\\ArrayType\\ArrayOfSeatMap',
            'SeatMap' => '\\StructType\\SeatMap',
            'ArrayOfSeatDeck' => '\\ArrayType\\ArrayOfSeatDeck',
            'SeatDeck' => '\\StructType\\SeatDeck',
            'ArrayOfSeatArea' => '\\ArrayType\\ArrayOfSeatArea',
            'SeatArea' => '\\StructType\\SeatArea',
            'ArrayOfSeatRow' => '\\ArrayType\\ArrayOfSeatRow',
            'SeatRow' => '\\StructType\\SeatRow',
            'ArrayOfSeatColumn' => '\\ArrayType\\ArrayOfSeatColumn',
            'SeatColumn' => '\\StructType\\SeatColumn',
            'ArrayOfSeat' => '\\ArrayType\\ArrayOfSeat',
            'Seat' => '\\StructType\\Seat',
            'PassengerNameRecord' => '\\StructType\\PassengerNameRecord',
            'PassengerNameRecordInformation' => '\\StructType\\PassengerNameRecordInformation',
            'PartnerInformation' => '\\StructType\\PartnerInformation',
            'InvalidDataErrors' => '\\StructType\\InvalidDataErrors',
            'ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2' => '\\ArrayType\\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2',
            'InvalidDataErrorOfEMDTicketFare48VTEFp2' => '\\StructType\\InvalidDataErrorOfEMDTicketFare48VTEFp2',
            'ArrayOfInvalidDataError' => '\\ArrayType\\ArrayOfInvalidDataError',
            'InvalidDataError' => '\\StructType\\InvalidDataError',
            'ArrayOfInvalidDataErrorOfPassenger3z8kf8ER' => '\\ArrayType\\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER',
            'InvalidDataErrorOfPassenger3z8kf8ER' => '\\StructType\\InvalidDataErrorOfPassenger3z8kf8ER',
            'ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER' => '\\ArrayType\\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER',
            'InvalidDataErrorOfSpecialService3z8kf8ER' => '\\StructType\\InvalidDataErrorOfSpecialService3z8kf8ER',
            'Verification' => '\\StructType\\Verification',
            'ArrayOfSpecialServiceReference' => '\\ArrayType\\ArrayOfSpecialServiceReference',
            'ArrayOfPassengerSplitReference' => '\\ArrayType\\ArrayOfPassengerSplitReference',
            'PassengerSplitReference' => '\\StructType\\PassengerSplitReference',
            'ArrayOfFlightStatusSummary' => '\\ArrayType\\ArrayOfFlightStatusSummary',
            'FlightStatusSummary' => '\\StructType\\FlightStatusSummary',
            'FareDisplaySettings' => '\\StructType\\FareDisplaySettings',
            'FareDisplayBaseSettings' => '\\StructType\\FareDisplayBaseSettings',
            'ArrayOfECouponBookCode' => '\\ArrayType\\ArrayOfECouponBookCode',
            'ECouponBookCode' => '\\StructType\\ECouponBookCode',
            'ArrayOfFareLevelRange' => '\\ArrayType\\ArrayOfFareLevelRange',
            'FareLevelRange' => '\\StructType\\FareLevelRange',
            'FareInfoOptions' => '\\StructType\\FareInfoOptions',
            'FareInfo' => '\\StructType\\FareInfo',
            'FareInfoBase' => '\\StructType\\FareInfoBase',
            'ArrayOfETTicketFare' => '\\ArrayType\\ArrayOfETTicketFare',
            'ETTicketFare' => '\\StructType\\ETTicketFare',
            'AbstractTicketFare' => '\\StructType\\AbstractTicketFare',
            'AbstractFareOfTicketAmountDetails48VTEFp2' => '\\StructType\\AbstractFareOfTicketAmountDetails48VTEFp2',
            'TicketAmountDetails' => '\\StructType\\TicketAmountDetails',
            'AmountDetails' => '\\StructType\\AmountDetails',
            'Amount' => '\\StructType\\Amount',
            'AmountSummary' => '\\StructType\\AmountSummary',
            'AmountBase' => '\\StructType\\AmountBase',
            'ArrayOfECouponAmount' => '\\ArrayType\\ArrayOfECouponAmount',
            'ECouponAmount' => '\\StructType\\ECouponAmount',
            'CurrencyRates' => '\\StructType\\CurrencyRates',
            'AdditionalCollectionInfo' => '\\StructType\\AdditionalCollectionInfo',
            'ArrayOfOriginDestinationFare' => '\\ArrayType\\ArrayOfOriginDestinationFare',
            'OriginDestinationFare' => '\\StructType\\OriginDestinationFare',
            'ArrayOfETCouponFare' => '\\ArrayType\\ArrayOfETCouponFare',
            'ETCouponFare' => '\\StructType\\ETCouponFare',
            'AbstractFareOfAmountDetails48VTEFp2' => '\\StructType\\AbstractFareOfAmountDetails48VTEFp2',
            'ArrayOfBagAllowance' => '\\ArrayType\\ArrayOfBagAllowance',
            'BagAllowance' => '\\StructType\\BagAllowance',
            'ArrayOfCouponTax' => '\\ArrayType\\ArrayOfCouponTax',
            'CouponTax' => '\\StructType\\CouponTax',
            'TicketTax' => '\\StructType\\TicketTax',
            'TaxDetails' => '\\StructType\\TaxDetails',
            'ArrayOfTicketTax' => '\\ArrayType\\ArrayOfTicketTax',
            'FareInfoEMD' => '\\StructType\\FareInfoEMD',
            'ArrayOfEMDTicketFare' => '\\ArrayType\\ArrayOfEMDTicketFare',
            'EMDTicketFare' => '\\StructType\\EMDTicketFare',
            'EMDAbstractTicketFare' => '\\StructType\\EMDAbstractTicketFare',
            'EMDSubCode' => '\\StructType\\EMDSubCode',
            'FareInfoBooking' => '\\StructType\\FareInfoBooking',
            'AmountTraveler' => '\\StructType\\AmountTraveler',
            'FareInfoPrepare' => '\\StructType\\FareInfoPrepare',
            'ArrayOfEMDTicketFareOption' => '\\ArrayType\\ArrayOfEMDTicketFareOption',
            'EMDTicketFareOption' => '\\StructType\\EMDTicketFareOption',
            'ArrayOfFareRule' => '\\ArrayType\\ArrayOfFareRule',
            'FareRule' => '\\StructType\\FareRule',
            'FareRuleDetails' => '\\StructType\\FareRuleDetails',
            'ArrayOfPenalty' => '\\ArrayType\\ArrayOfPenalty',
            'Penalty' => '\\StructType\\Penalty',
            'FareConditionText' => '\\StructType\\FareConditionText',
            'ArrayOfFareConditionText' => '\\ArrayType\\ArrayOfFareConditionText',
            'ArrayOfItinerary' => '\\ArrayType\\ArrayOfItinerary',
            'Itinerary' => '\\StructType\\Itinerary',
            'ArrayOfAirOriginDestination' => '\\ArrayType\\ArrayOfAirOriginDestination',
            'AirOriginDestination' => '\\StructType\\AirOriginDestination',
            'ArrayOfAirCoupon' => '\\ArrayType\\ArrayOfAirCoupon',
            'AirCoupon' => '\\StructType\\AirCoupon',
            'ArrayOfETTicketFareTarget' => '\\ArrayType\\ArrayOfETTicketFareTarget',
            'ETTicketFareTarget' => '\\StructType\\ETTicketFareTarget',
            'FareInfoCancel' => '\\StructType\\FareInfoCancel',
            'ArrayOfElectronicDocumentToCancel' => '\\ArrayType\\ArrayOfElectronicDocumentToCancel',
            'ElectronicDocumentToCancel' => '\\StructType\\ElectronicDocumentToCancel',
            'ArrayOfBoardingPassInfo' => '\\ArrayType\\ArrayOfBoardingPassInfo',
            'BoardingPassInfo' => '\\StructType\\BoardingPassInfo',
            'ArrayOfDCSCoupon' => '\\ArrayType\\ArrayOfDCSCoupon',
            'DCSCoupon' => '\\StructType\\DCSCoupon',
            'DCSCouponElectronicRef' => '\\StructType\\DCSCouponElectronicRef',
            'ArrayOfCheckinTarget' => '\\ArrayType\\ArrayOfCheckinTarget',
            'CheckinTarget' => '\\StructType\\CheckinTarget',
            'ArrayOfETTicketCheckin' => '\\ArrayType\\ArrayOfETTicketCheckin',
            'ETTicketCheckin' => '\\StructType\\ETTicketCheckin',
            'ArrayOfETCouponCheckin' => '\\ArrayType\\ArrayOfETCouponCheckin',
            'ETCouponCheckin' => '\\StructType\\ETCouponCheckin',
            'PasswordPolicy' => '\\StructType\\PasswordPolicy',
        );
    }
}
