<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Calendar ServiceType
 * @subpackage Services
 */
class Calendar extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named Calendar
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\Calendar $parameters
     * @return \StructType\CalendarResponse|bool
     */
    public function Calendar(\StructType\Calendar $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->Calendar($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\CalendarResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
