<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CalendarResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CalendarResponse
 * @subpackage Structs
 */
class CalendarResponse extends AbstractResponse
{
    /**
     * The CalendarResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CalendarResponse
     */
    public $CalendarResult;
    /**
     * The OriginDestinationResults
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfOriginDestinationCalendarResult
     */
    public $OriginDestinationResults;
    /**
     * Constructor method for CalendarResponse
     * @uses CalendarResponse::setCalendarResult()
     * @uses CalendarResponse::setOriginDestinationResults()
     * @param \StructType\CalendarResponse $calendarResult
     * @param \ArrayType\ArrayOfOriginDestinationCalendarResult $originDestinationResults
     */
    public function __construct(\StructType\CalendarResponse $calendarResult = null, \ArrayType\ArrayOfOriginDestinationCalendarResult $originDestinationResults = null)
    {
        $this
            ->setCalendarResult($calendarResult)
            ->setOriginDestinationResults($originDestinationResults);
    }
    /**
     * Get CalendarResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CalendarResponse|null
     */
    public function getCalendarResult()
    {
        return isset($this->CalendarResult) ? $this->CalendarResult : null;
    }
    /**
     * Set CalendarResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\CalendarResponse $calendarResult
     * @return \StructType\CalendarResponse
     */
    public function setCalendarResult(\StructType\CalendarResponse $calendarResult = null)
    {
        if (is_null($calendarResult) || (is_array($calendarResult) && empty($calendarResult))) {
            unset($this->CalendarResult);
        } else {
            $this->CalendarResult = $calendarResult;
        }
        return $this;
    }
    /**
     * Get OriginDestinationResults value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfOriginDestinationCalendarResult|null
     */
    public function getOriginDestinationResults()
    {
        return isset($this->OriginDestinationResults) ? $this->OriginDestinationResults : null;
    }
    /**
     * Set OriginDestinationResults value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfOriginDestinationCalendarResult $originDestinationResults
     * @return \StructType\CalendarResponse
     */
    public function setOriginDestinationResults(\ArrayType\ArrayOfOriginDestinationCalendarResult $originDestinationResults = null)
    {
        if (is_null($originDestinationResults) || (is_array($originDestinationResults) && empty($originDestinationResults))) {
            unset($this->OriginDestinationResults);
        } else {
            $this->OriginDestinationResults = $originDestinationResults;
        }
        return $this;
    }
}
