<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CancelResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CancelResponse
 * @subpackage Structs
 */
class CancelResponse extends AbstractResponse
{
    /**
     * The CancelResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CancelResponse
     */
    public $CancelResult;
    /**
     * The Booking
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Booking
     */
    public $Booking;
    /**
     * The FareInfo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FareInfoCancel
     */
    public $FareInfo;
    /**
     * Constructor method for CancelResponse
     * @uses CancelResponse::setCancelResult()
     * @uses CancelResponse::setBooking()
     * @uses CancelResponse::setFareInfo()
     * @param \StructType\CancelResponse $cancelResult
     * @param \StructType\Booking $booking
     * @param \StructType\FareInfoCancel $fareInfo
     */
    public function __construct(\StructType\CancelResponse $cancelResult = null, \StructType\Booking $booking = null, \StructType\FareInfoCancel $fareInfo = null)
    {
        $this
            ->setCancelResult($cancelResult)
            ->setBooking($booking)
            ->setFareInfo($fareInfo);
    }
    /**
     * Get CancelResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CancelResponse|null
     */
    public function getCancelResult()
    {
        return isset($this->CancelResult) ? $this->CancelResult : null;
    }
    /**
     * Set CancelResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\CancelResponse $cancelResult
     * @return \StructType\CancelResponse
     */
    public function setCancelResult(\StructType\CancelResponse $cancelResult = null)
    {
        if (is_null($cancelResult) || (is_array($cancelResult) && empty($cancelResult))) {
            unset($this->CancelResult);
        } else {
            $this->CancelResult = $cancelResult;
        }
        return $this;
    }
    /**
     * Get Booking value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Booking|null
     */
    public function getBooking()
    {
        return isset($this->Booking) ? $this->Booking : null;
    }
    /**
     * Set Booking value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Booking $booking
     * @return \StructType\CancelResponse
     */
    public function setBooking(\StructType\Booking $booking = null)
    {
        if (is_null($booking) || (is_array($booking) && empty($booking))) {
            unset($this->Booking);
        } else {
            $this->Booking = $booking;
        }
        return $this;
    }
    /**
     * Get FareInfo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FareInfoCancel|null
     */
    public function getFareInfo()
    {
        return isset($this->FareInfo) ? $this->FareInfo : null;
    }
    /**
     * Set FareInfo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\FareInfoCancel $fareInfo
     * @return \StructType\CancelResponse
     */
    public function setFareInfo(\StructType\FareInfoCancel $fareInfo = null)
    {
        if (is_null($fareInfo) || (is_array($fareInfo) && empty($fareInfo))) {
            unset($this->FareInfo);
        } else {
            $this->FareInfo = $fareInfo;
        }
        return $this;
    }
}
