<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateTicketResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:CreateTicketResponse
 * @subpackage Structs
 */
class CreateTicketResponse extends AbstractResponse
{
    /**
     * The CreateTicketResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\CreateTicketResponse
     */
    public $CreateTicketResult;
    /**
     * The Booking
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Booking
     */
    public $Booking;
    /**
     * The RedirectResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FormOfPaymentRedirectResult
     */
    public $RedirectResult;
    /**
     * Constructor method for CreateTicketResponse
     * @uses CreateTicketResponse::setCreateTicketResult()
     * @uses CreateTicketResponse::setBooking()
     * @uses CreateTicketResponse::setRedirectResult()
     * @param \StructType\CreateTicketResponse $createTicketResult
     * @param \StructType\Booking $booking
     * @param \StructType\FormOfPaymentRedirectResult $redirectResult
     */
    public function __construct(\StructType\CreateTicketResponse $createTicketResult = null, \StructType\Booking $booking = null, \StructType\FormOfPaymentRedirectResult $redirectResult = null)
    {
        $this
            ->setCreateTicketResult($createTicketResult)
            ->setBooking($booking)
            ->setRedirectResult($redirectResult);
    }
    /**
     * Get CreateTicketResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\CreateTicketResponse|null
     */
    public function getCreateTicketResult()
    {
        return isset($this->CreateTicketResult) ? $this->CreateTicketResult : null;
    }
    /**
     * Set CreateTicketResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\CreateTicketResponse $createTicketResult
     * @return \StructType\CreateTicketResponse
     */
    public function setCreateTicketResult(\StructType\CreateTicketResponse $createTicketResult = null)
    {
        if (is_null($createTicketResult) || (is_array($createTicketResult) && empty($createTicketResult))) {
            unset($this->CreateTicketResult);
        } else {
            $this->CreateTicketResult = $createTicketResult;
        }
        return $this;
    }
    /**
     * Get Booking value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Booking|null
     */
    public function getBooking()
    {
        return isset($this->Booking) ? $this->Booking : null;
    }
    /**
     * Set Booking value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Booking $booking
     * @return \StructType\CreateTicketResponse
     */
    public function setBooking(\StructType\Booking $booking = null)
    {
        if (is_null($booking) || (is_array($booking) && empty($booking))) {
            unset($this->Booking);
        } else {
            $this->Booking = $booking;
        }
        return $this;
    }
    /**
     * Get RedirectResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FormOfPaymentRedirectResult|null
     */
    public function getRedirectResult()
    {
        return isset($this->RedirectResult) ? $this->RedirectResult : null;
    }
    /**
     * Set RedirectResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\FormOfPaymentRedirectResult $redirectResult
     * @return \StructType\CreateTicketResponse
     */
    public function setRedirectResult(\StructType\FormOfPaymentRedirectResult $redirectResult = null)
    {
        if (is_null($redirectResult) || (is_array($redirectResult) && empty($redirectResult))) {
            unset($this->RedirectResult);
        } else {
            $this->RedirectResult = $redirectResult;
        }
        return $this;
    }
}
