<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ETTicketFare StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ETTicketFare
 * @subpackage Structs
 */
class ETTicketFare extends AbstractTicketFare
{
    /**
     * The OriginDestinationFares
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfOriginDestinationFare
     */
    public $OriginDestinationFares;
    /**
     * The RefPassenger
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $RefPassenger;
    /**
     * The Taxes
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfTicketTax
     */
    public $Taxes;
    /**
     * Constructor method for ETTicketFare
     * @uses ETTicketFare::setOriginDestinationFares()
     * @uses ETTicketFare::setRefPassenger()
     * @uses ETTicketFare::setTaxes()
     * @param \ArrayType\ArrayOfOriginDestinationFare $originDestinationFares
     * @param string $refPassenger
     * @param \ArrayType\ArrayOfTicketTax $taxes
     */
    public function __construct(\ArrayType\ArrayOfOriginDestinationFare $originDestinationFares = null, $refPassenger = null, \ArrayType\ArrayOfTicketTax $taxes = null)
    {
        $this
            ->setOriginDestinationFares($originDestinationFares)
            ->setRefPassenger($refPassenger)
            ->setTaxes($taxes);
    }
    /**
     * Get OriginDestinationFares value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfOriginDestinationFare|null
     */
    public function getOriginDestinationFares()
    {
        return isset($this->OriginDestinationFares) ? $this->OriginDestinationFares : null;
    }
    /**
     * Set OriginDestinationFares value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfOriginDestinationFare $originDestinationFares
     * @return \StructType\ETTicketFare
     */
    public function setOriginDestinationFares(\ArrayType\ArrayOfOriginDestinationFare $originDestinationFares = null)
    {
        if (is_null($originDestinationFares) || (is_array($originDestinationFares) && empty($originDestinationFares))) {
            unset($this->OriginDestinationFares);
        } else {
            $this->OriginDestinationFares = $originDestinationFares;
        }
        return $this;
    }
    /**
     * Get RefPassenger value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getRefPassenger()
    {
        return isset($this->RefPassenger) ? $this->RefPassenger : null;
    }
    /**
     * Set RefPassenger value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $refPassenger
     * @return \StructType\ETTicketFare
     */
    public function setRefPassenger($refPassenger = null)
    {
        // validation for constraint: string
        if (!is_null($refPassenger) && !is_string($refPassenger)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($refPassenger, true), gettype($refPassenger)), __LINE__);
        }
        if (is_null($refPassenger) || (is_array($refPassenger) && empty($refPassenger))) {
            unset($this->RefPassenger);
        } else {
            $this->RefPassenger = $refPassenger;
        }
        return $this;
    }
    /**
     * Get Taxes value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfTicketTax|null
     */
    public function getTaxes()
    {
        return isset($this->Taxes) ? $this->Taxes : null;
    }
    /**
     * Set Taxes value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfTicketTax $taxes
     * @return \StructType\ETTicketFare
     */
    public function setTaxes(\ArrayType\ArrayOfTicketTax $taxes = null)
    {
        if (is_null($taxes) || (is_array($taxes) && empty($taxes))) {
            unset($this->Taxes);
        } else {
            $this->Taxes = $taxes;
        }
        return $this;
    }
}
