<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareInfoEMD StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:FareInfoEMD
 * @subpackage Structs
 */
class FareInfoEMD extends FareInfoOptions
{
    /**
     * The EMDTicketFares
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEMDTicketFare
     */
    public $EMDTicketFares;
    /**
     * The SaleCurrencyAmountTotal
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Amount
     */
    public $SaleCurrencyAmountTotal;
    /**
     * Constructor method for FareInfoEMD
     * @uses FareInfoEMD::setEMDTicketFares()
     * @uses FareInfoEMD::setSaleCurrencyAmountTotal()
     * @param \ArrayType\ArrayOfEMDTicketFare $eMDTicketFares
     * @param \StructType\Amount $saleCurrencyAmountTotal
     */
    public function __construct(\ArrayType\ArrayOfEMDTicketFare $eMDTicketFares = null, \StructType\Amount $saleCurrencyAmountTotal = null)
    {
        $this
            ->setEMDTicketFares($eMDTicketFares)
            ->setSaleCurrencyAmountTotal($saleCurrencyAmountTotal);
    }
    /**
     * Get EMDTicketFares value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEMDTicketFare|null
     */
    public function getEMDTicketFares()
    {
        return isset($this->EMDTicketFares) ? $this->EMDTicketFares : null;
    }
    /**
     * Set EMDTicketFares value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEMDTicketFare $eMDTicketFares
     * @return \StructType\FareInfoEMD
     */
    public function setEMDTicketFares(\ArrayType\ArrayOfEMDTicketFare $eMDTicketFares = null)
    {
        if (is_null($eMDTicketFares) || (is_array($eMDTicketFares) && empty($eMDTicketFares))) {
            unset($this->EMDTicketFares);
        } else {
            $this->EMDTicketFares = $eMDTicketFares;
        }
        return $this;
    }
    /**
     * Get SaleCurrencyAmountTotal value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Amount|null
     */
    public function getSaleCurrencyAmountTotal()
    {
        return isset($this->SaleCurrencyAmountTotal) ? $this->SaleCurrencyAmountTotal : null;
    }
    /**
     * Set SaleCurrencyAmountTotal value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Amount $saleCurrencyAmountTotal
     * @return \StructType\FareInfoEMD
     */
    public function setSaleCurrencyAmountTotal(\StructType\Amount $saleCurrencyAmountTotal = null)
    {
        if (is_null($saleCurrencyAmountTotal) || (is_array($saleCurrencyAmountTotal) && empty($saleCurrencyAmountTotal))) {
            unset($this->SaleCurrencyAmountTotal);
        } else {
            $this->SaleCurrencyAmountTotal = $saleCurrencyAmountTotal;
        }
        return $this;
    }
}
