<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for FareInfoOptions StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:FareInfoOptions
 * @subpackage Structs
 */
class FareInfoOptions extends FareInfo
{
    /**
     * The FareRules
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfFareRule
     */
    public $FareRules;
    /**
     * The Itineraries
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfItinerary
     */
    public $Itineraries;
    /**
     * Constructor method for FareInfoOptions
     * @uses FareInfoOptions::setFareRules()
     * @uses FareInfoOptions::setItineraries()
     * @param \ArrayType\ArrayOfFareRule $fareRules
     * @param \ArrayType\ArrayOfItinerary $itineraries
     */
    public function __construct(\ArrayType\ArrayOfFareRule $fareRules = null, \ArrayType\ArrayOfItinerary $itineraries = null)
    {
        $this
            ->setFareRules($fareRules)
            ->setItineraries($itineraries);
    }
    /**
     * Get FareRules value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfFareRule|null
     */
    public function getFareRules()
    {
        return isset($this->FareRules) ? $this->FareRules : null;
    }
    /**
     * Set FareRules value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfFareRule $fareRules
     * @return \StructType\FareInfoOptions
     */
    public function setFareRules(\ArrayType\ArrayOfFareRule $fareRules = null)
    {
        if (is_null($fareRules) || (is_array($fareRules) && empty($fareRules))) {
            unset($this->FareRules);
        } else {
            $this->FareRules = $fareRules;
        }
        return $this;
    }
    /**
     * Get Itineraries value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfItinerary|null
     */
    public function getItineraries()
    {
        return isset($this->Itineraries) ? $this->Itineraries : null;
    }
    /**
     * Set Itineraries value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfItinerary $itineraries
     * @return \StructType\FareInfoOptions
     */
    public function setItineraries(\ArrayType\ArrayOfItinerary $itineraries = null)
    {
        if (is_null($itineraries) || (is_array($itineraries) && empty($itineraries))) {
            unset($this->Itineraries);
        } else {
            $this->Itineraries = $itineraries;
        }
        return $this;
    }
}
