<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for InvalidDataErrors StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:InvalidDataErrors
 * @subpackage Structs
 */
class InvalidDataErrors extends ApiObject
{
    /**
     * The EMDTicketFares
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2
     */
    public $EMDTicketFares;
    /**
     * The Global
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfInvalidDataError
     */
    public $Global;
    /**
     * The Passengers
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER
     */
    public $Passengers;
    /**
     * The SpecialServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER
     */
    public $SpecialServices;
    /**
     * Constructor method for InvalidDataErrors
     * @uses InvalidDataErrors::setEMDTicketFares()
     * @uses InvalidDataErrors::setGlobal()
     * @uses InvalidDataErrors::setPassengers()
     * @uses InvalidDataErrors::setSpecialServices()
     * @param \ArrayType\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2 $eMDTicketFares
     * @param \ArrayType\ArrayOfInvalidDataError $global
     * @param \ArrayType\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER $passengers
     * @param \ArrayType\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER $specialServices
     */
    public function __construct(\ArrayType\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2 $eMDTicketFares = null, \ArrayType\ArrayOfInvalidDataError $global = null, \ArrayType\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER $passengers = null, \ArrayType\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER $specialServices = null)
    {
        $this
            ->setEMDTicketFares($eMDTicketFares)
            ->setGlobal($global)
            ->setPassengers($passengers)
            ->setSpecialServices($specialServices);
    }
    /**
     * Get EMDTicketFares value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2|null
     */
    public function getEMDTicketFares()
    {
        return isset($this->EMDTicketFares) ? $this->EMDTicketFares : null;
    }
    /**
     * Set EMDTicketFares value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2 $eMDTicketFares
     * @return \StructType\InvalidDataErrors
     */
    public function setEMDTicketFares(\ArrayType\ArrayOfInvalidDataErrorOfEMDTicketFare48VTEFp2 $eMDTicketFares = null)
    {
        if (is_null($eMDTicketFares) || (is_array($eMDTicketFares) && empty($eMDTicketFares))) {
            unset($this->EMDTicketFares);
        } else {
            $this->EMDTicketFares = $eMDTicketFares;
        }
        return $this;
    }
    /**
     * Get Global value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfInvalidDataError|null
     */
    public function getGlobal()
    {
        return isset($this->Global) ? $this->Global : null;
    }
    /**
     * Set Global value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfInvalidDataError $global
     * @return \StructType\InvalidDataErrors
     */
    public function setGlobal(\ArrayType\ArrayOfInvalidDataError $global = null)
    {
        if (is_null($global) || (is_array($global) && empty($global))) {
            unset($this->Global);
        } else {
            $this->Global = $global;
        }
        return $this;
    }
    /**
     * Get Passengers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER|null
     */
    public function getPassengers()
    {
        return isset($this->Passengers) ? $this->Passengers : null;
    }
    /**
     * Set Passengers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER $passengers
     * @return \StructType\InvalidDataErrors
     */
    public function setPassengers(\ArrayType\ArrayOfInvalidDataErrorOfPassenger3z8kf8ER $passengers = null)
    {
        if (is_null($passengers) || (is_array($passengers) && empty($passengers))) {
            unset($this->Passengers);
        } else {
            $this->Passengers = $passengers;
        }
        return $this;
    }
    /**
     * Get SpecialServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER|null
     */
    public function getSpecialServices()
    {
        return isset($this->SpecialServices) ? $this->SpecialServices : null;
    }
    /**
     * Set SpecialServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER $specialServices
     * @return \StructType\InvalidDataErrors
     */
    public function setSpecialServices(\ArrayType\ArrayOfInvalidDataErrorOfSpecialService3z8kf8ER $specialServices = null)
    {
        if (is_null($specialServices) || (is_array($specialServices) && empty($specialServices))) {
            unset($this->SpecialServices);
        } else {
            $this->SpecialServices = $specialServices;
        }
        return $this;
    }
}
