<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ModifyBookingRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ModifyBookingRequest
 * @subpackage Structs
 */
class ModifyBookingRequest extends AbstractRequest
{
    /**
     * The DeferredIssuance
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $DeferredIssuance;
    /**
     * The EMDTicketFares
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEMDTicketFare
     */
    public $EMDTicketFares;
    /**
     * The IgnorePassengerRefValidations
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfstring
     */
    public $IgnorePassengerRefValidations;
    /**
     * The Passengers
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfPassenger
     */
    public $Passengers;
    /**
     * The PromoCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $PromoCode;
    /**
     * The RemovedEMDTicketFares
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfstring
     */
    public $RemovedEMDTicketFares;
    /**
     * The RemovedSpecialServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSpecialServiceReference
     */
    public $RemovedSpecialServices;
    /**
     * The SpecialServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSpecialService
     */
    public $SpecialServices;
    /**
     * The UniqueID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UniqueID
     */
    public $UniqueID;
    /**
     * The Verification
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Verification
     */
    public $Verification;
    /**
     * Constructor method for ModifyBookingRequest
     * @uses ModifyBookingRequest::setDeferredIssuance()
     * @uses ModifyBookingRequest::setEMDTicketFares()
     * @uses ModifyBookingRequest::setIgnorePassengerRefValidations()
     * @uses ModifyBookingRequest::setPassengers()
     * @uses ModifyBookingRequest::setPromoCode()
     * @uses ModifyBookingRequest::setRemovedEMDTicketFares()
     * @uses ModifyBookingRequest::setRemovedSpecialServices()
     * @uses ModifyBookingRequest::setSpecialServices()
     * @uses ModifyBookingRequest::setUniqueID()
     * @uses ModifyBookingRequest::setVerification()
     * @param bool $deferredIssuance
     * @param \ArrayType\ArrayOfEMDTicketFare $eMDTicketFares
     * @param \ArrayType\ArrayOfstring $ignorePassengerRefValidations
     * @param \ArrayType\ArrayOfPassenger $passengers
     * @param string $promoCode
     * @param \ArrayType\ArrayOfstring $removedEMDTicketFares
     * @param \ArrayType\ArrayOfSpecialServiceReference $removedSpecialServices
     * @param \ArrayType\ArrayOfSpecialService $specialServices
     * @param \StructType\UniqueID $uniqueID
     * @param \StructType\Verification $verification
     */
    public function __construct($deferredIssuance = null, \ArrayType\ArrayOfEMDTicketFare $eMDTicketFares = null, \ArrayType\ArrayOfstring $ignorePassengerRefValidations = null, \ArrayType\ArrayOfPassenger $passengers = null, $promoCode = null, \ArrayType\ArrayOfstring $removedEMDTicketFares = null, \ArrayType\ArrayOfSpecialServiceReference $removedSpecialServices = null, \ArrayType\ArrayOfSpecialService $specialServices = null, \StructType\UniqueID $uniqueID = null, \StructType\Verification $verification = null)
    {
        $this
            ->setDeferredIssuance($deferredIssuance)
            ->setEMDTicketFares($eMDTicketFares)
            ->setIgnorePassengerRefValidations($ignorePassengerRefValidations)
            ->setPassengers($passengers)
            ->setPromoCode($promoCode)
            ->setRemovedEMDTicketFares($removedEMDTicketFares)
            ->setRemovedSpecialServices($removedSpecialServices)
            ->setSpecialServices($specialServices)
            ->setUniqueID($uniqueID)
            ->setVerification($verification);
    }
    /**
     * Get DeferredIssuance value
     * @return bool|null
     */
    public function getDeferredIssuance()
    {
        return $this->DeferredIssuance;
    }
    /**
     * Set DeferredIssuance value
     * @param bool $deferredIssuance
     * @return \StructType\ModifyBookingRequest
     */
    public function setDeferredIssuance($deferredIssuance = null)
    {
        // validation for constraint: boolean
        if (!is_null($deferredIssuance) && !is_bool($deferredIssuance)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($deferredIssuance, true), gettype($deferredIssuance)), __LINE__);
        }
        $this->DeferredIssuance = $deferredIssuance;
        return $this;
    }
    /**
     * Get EMDTicketFares value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEMDTicketFare|null
     */
    public function getEMDTicketFares()
    {
        return isset($this->EMDTicketFares) ? $this->EMDTicketFares : null;
    }
    /**
     * Set EMDTicketFares value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEMDTicketFare $eMDTicketFares
     * @return \StructType\ModifyBookingRequest
     */
    public function setEMDTicketFares(\ArrayType\ArrayOfEMDTicketFare $eMDTicketFares = null)
    {
        if (is_null($eMDTicketFares) || (is_array($eMDTicketFares) && empty($eMDTicketFares))) {
            unset($this->EMDTicketFares);
        } else {
            $this->EMDTicketFares = $eMDTicketFares;
        }
        return $this;
    }
    /**
     * Get IgnorePassengerRefValidations value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfstring|null
     */
    public function getIgnorePassengerRefValidations()
    {
        return isset($this->IgnorePassengerRefValidations) ? $this->IgnorePassengerRefValidations : null;
    }
    /**
     * Set IgnorePassengerRefValidations value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfstring $ignorePassengerRefValidations
     * @return \StructType\ModifyBookingRequest
     */
    public function setIgnorePassengerRefValidations(\ArrayType\ArrayOfstring $ignorePassengerRefValidations = null)
    {
        if (is_null($ignorePassengerRefValidations) || (is_array($ignorePassengerRefValidations) && empty($ignorePassengerRefValidations))) {
            unset($this->IgnorePassengerRefValidations);
        } else {
            $this->IgnorePassengerRefValidations = $ignorePassengerRefValidations;
        }
        return $this;
    }
    /**
     * Get Passengers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfPassenger|null
     */
    public function getPassengers()
    {
        return isset($this->Passengers) ? $this->Passengers : null;
    }
    /**
     * Set Passengers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfPassenger $passengers
     * @return \StructType\ModifyBookingRequest
     */
    public function setPassengers(\ArrayType\ArrayOfPassenger $passengers = null)
    {
        if (is_null($passengers) || (is_array($passengers) && empty($passengers))) {
            unset($this->Passengers);
        } else {
            $this->Passengers = $passengers;
        }
        return $this;
    }
    /**
     * Get PromoCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getPromoCode()
    {
        return isset($this->PromoCode) ? $this->PromoCode : null;
    }
    /**
     * Set PromoCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $promoCode
     * @return \StructType\ModifyBookingRequest
     */
    public function setPromoCode($promoCode = null)
    {
        // validation for constraint: string
        if (!is_null($promoCode) && !is_string($promoCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($promoCode, true), gettype($promoCode)), __LINE__);
        }
        if (is_null($promoCode) || (is_array($promoCode) && empty($promoCode))) {
            unset($this->PromoCode);
        } else {
            $this->PromoCode = $promoCode;
        }
        return $this;
    }
    /**
     * Get RemovedEMDTicketFares value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfstring|null
     */
    public function getRemovedEMDTicketFares()
    {
        return isset($this->RemovedEMDTicketFares) ? $this->RemovedEMDTicketFares : null;
    }
    /**
     * Set RemovedEMDTicketFares value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfstring $removedEMDTicketFares
     * @return \StructType\ModifyBookingRequest
     */
    public function setRemovedEMDTicketFares(\ArrayType\ArrayOfstring $removedEMDTicketFares = null)
    {
        if (is_null($removedEMDTicketFares) || (is_array($removedEMDTicketFares) && empty($removedEMDTicketFares))) {
            unset($this->RemovedEMDTicketFares);
        } else {
            $this->RemovedEMDTicketFares = $removedEMDTicketFares;
        }
        return $this;
    }
    /**
     * Get RemovedSpecialServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSpecialServiceReference|null
     */
    public function getRemovedSpecialServices()
    {
        return isset($this->RemovedSpecialServices) ? $this->RemovedSpecialServices : null;
    }
    /**
     * Set RemovedSpecialServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSpecialServiceReference $removedSpecialServices
     * @return \StructType\ModifyBookingRequest
     */
    public function setRemovedSpecialServices(\ArrayType\ArrayOfSpecialServiceReference $removedSpecialServices = null)
    {
        if (is_null($removedSpecialServices) || (is_array($removedSpecialServices) && empty($removedSpecialServices))) {
            unset($this->RemovedSpecialServices);
        } else {
            $this->RemovedSpecialServices = $removedSpecialServices;
        }
        return $this;
    }
    /**
     * Get SpecialServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSpecialService|null
     */
    public function getSpecialServices()
    {
        return isset($this->SpecialServices) ? $this->SpecialServices : null;
    }
    /**
     * Set SpecialServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSpecialService $specialServices
     * @return \StructType\ModifyBookingRequest
     */
    public function setSpecialServices(\ArrayType\ArrayOfSpecialService $specialServices = null)
    {
        if (is_null($specialServices) || (is_array($specialServices) && empty($specialServices))) {
            unset($this->SpecialServices);
        } else {
            $this->SpecialServices = $specialServices;
        }
        return $this;
    }
    /**
     * Get UniqueID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UniqueID|null
     */
    public function getUniqueID()
    {
        return isset($this->UniqueID) ? $this->UniqueID : null;
    }
    /**
     * Set UniqueID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\UniqueID $uniqueID
     * @return \StructType\ModifyBookingRequest
     */
    public function setUniqueID(\StructType\UniqueID $uniqueID = null)
    {
        if (is_null($uniqueID) || (is_array($uniqueID) && empty($uniqueID))) {
            unset($this->UniqueID);
        } else {
            $this->UniqueID = $uniqueID;
        }
        return $this;
    }
    /**
     * Get Verification value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Verification|null
     */
    public function getVerification()
    {
        return isset($this->Verification) ? $this->Verification : null;
    }
    /**
     * Set Verification value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Verification $verification
     * @return \StructType\ModifyBookingRequest
     */
    public function setVerification(\StructType\Verification $verification = null)
    {
        if (is_null($verification) || (is_array($verification) && empty($verification))) {
            unset($this->Verification);
        } else {
            $this->Verification = $verification;
        }
        return $this;
    }
}
