<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PrepareFlightsResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:PrepareFlightsResponse
 * @subpackage Structs
 */
class PrepareFlightsResponse extends AbstractResponse
{
    /**
     * The PrepareFlightsResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\PrepareFlightsResponse
     */
    public $PrepareFlightsResult;
    /**
     * The FareInfo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FareInfoPrepare
     */
    public $FareInfo;
    /**
     * The OptionalSpecialServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSpecialService
     */
    public $OptionalSpecialServices;
    /**
     * The Passengers
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfPassenger
     */
    public $Passengers;
    /**
     * The SeatMaps
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSeatMap
     */
    public $SeatMaps;
    /**
     * The Segments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSegmentBooking
     */
    public $Segments;
    /**
     * The SpecialServices
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSpecialService
     */
    public $SpecialServices;
    /**
     * Constructor method for PrepareFlightsResponse
     * @uses PrepareFlightsResponse::setPrepareFlightsResult()
     * @uses PrepareFlightsResponse::setFareInfo()
     * @uses PrepareFlightsResponse::setOptionalSpecialServices()
     * @uses PrepareFlightsResponse::setPassengers()
     * @uses PrepareFlightsResponse::setSeatMaps()
     * @uses PrepareFlightsResponse::setSegments()
     * @uses PrepareFlightsResponse::setSpecialServices()
     * @param \StructType\PrepareFlightsResponse $prepareFlightsResult
     * @param \StructType\FareInfoPrepare $fareInfo
     * @param \ArrayType\ArrayOfSpecialService $optionalSpecialServices
     * @param \ArrayType\ArrayOfPassenger $passengers
     * @param \ArrayType\ArrayOfSeatMap $seatMaps
     * @param \ArrayType\ArrayOfSegmentBooking $segments
     * @param \ArrayType\ArrayOfSpecialService $specialServices
     */
    public function __construct(\StructType\PrepareFlightsResponse $prepareFlightsResult = null, \StructType\FareInfoPrepare $fareInfo = null, \ArrayType\ArrayOfSpecialService $optionalSpecialServices = null, \ArrayType\ArrayOfPassenger $passengers = null, \ArrayType\ArrayOfSeatMap $seatMaps = null, \ArrayType\ArrayOfSegmentBooking $segments = null, \ArrayType\ArrayOfSpecialService $specialServices = null)
    {
        $this
            ->setPrepareFlightsResult($prepareFlightsResult)
            ->setFareInfo($fareInfo)
            ->setOptionalSpecialServices($optionalSpecialServices)
            ->setPassengers($passengers)
            ->setSeatMaps($seatMaps)
            ->setSegments($segments)
            ->setSpecialServices($specialServices);
    }
    /**
     * Get PrepareFlightsResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\PrepareFlightsResponse|null
     */
    public function getPrepareFlightsResult()
    {
        return isset($this->PrepareFlightsResult) ? $this->PrepareFlightsResult : null;
    }
    /**
     * Set PrepareFlightsResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\PrepareFlightsResponse $prepareFlightsResult
     * @return \StructType\PrepareFlightsResponse
     */
    public function setPrepareFlightsResult(\StructType\PrepareFlightsResponse $prepareFlightsResult = null)
    {
        if (is_null($prepareFlightsResult) || (is_array($prepareFlightsResult) && empty($prepareFlightsResult))) {
            unset($this->PrepareFlightsResult);
        } else {
            $this->PrepareFlightsResult = $prepareFlightsResult;
        }
        return $this;
    }
    /**
     * Get FareInfo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FareInfoPrepare|null
     */
    public function getFareInfo()
    {
        return isset($this->FareInfo) ? $this->FareInfo : null;
    }
    /**
     * Set FareInfo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\FareInfoPrepare $fareInfo
     * @return \StructType\PrepareFlightsResponse
     */
    public function setFareInfo(\StructType\FareInfoPrepare $fareInfo = null)
    {
        if (is_null($fareInfo) || (is_array($fareInfo) && empty($fareInfo))) {
            unset($this->FareInfo);
        } else {
            $this->FareInfo = $fareInfo;
        }
        return $this;
    }
    /**
     * Get OptionalSpecialServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSpecialService|null
     */
    public function getOptionalSpecialServices()
    {
        return isset($this->OptionalSpecialServices) ? $this->OptionalSpecialServices : null;
    }
    /**
     * Set OptionalSpecialServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSpecialService $optionalSpecialServices
     * @return \StructType\PrepareFlightsResponse
     */
    public function setOptionalSpecialServices(\ArrayType\ArrayOfSpecialService $optionalSpecialServices = null)
    {
        if (is_null($optionalSpecialServices) || (is_array($optionalSpecialServices) && empty($optionalSpecialServices))) {
            unset($this->OptionalSpecialServices);
        } else {
            $this->OptionalSpecialServices = $optionalSpecialServices;
        }
        return $this;
    }
    /**
     * Get Passengers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfPassenger|null
     */
    public function getPassengers()
    {
        return isset($this->Passengers) ? $this->Passengers : null;
    }
    /**
     * Set Passengers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfPassenger $passengers
     * @return \StructType\PrepareFlightsResponse
     */
    public function setPassengers(\ArrayType\ArrayOfPassenger $passengers = null)
    {
        if (is_null($passengers) || (is_array($passengers) && empty($passengers))) {
            unset($this->Passengers);
        } else {
            $this->Passengers = $passengers;
        }
        return $this;
    }
    /**
     * Get SeatMaps value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSeatMap|null
     */
    public function getSeatMaps()
    {
        return isset($this->SeatMaps) ? $this->SeatMaps : null;
    }
    /**
     * Set SeatMaps value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSeatMap $seatMaps
     * @return \StructType\PrepareFlightsResponse
     */
    public function setSeatMaps(\ArrayType\ArrayOfSeatMap $seatMaps = null)
    {
        if (is_null($seatMaps) || (is_array($seatMaps) && empty($seatMaps))) {
            unset($this->SeatMaps);
        } else {
            $this->SeatMaps = $seatMaps;
        }
        return $this;
    }
    /**
     * Get Segments value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSegmentBooking|null
     */
    public function getSegments()
    {
        return isset($this->Segments) ? $this->Segments : null;
    }
    /**
     * Set Segments value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSegmentBooking $segments
     * @return \StructType\PrepareFlightsResponse
     */
    public function setSegments(\ArrayType\ArrayOfSegmentBooking $segments = null)
    {
        if (is_null($segments) || (is_array($segments) && empty($segments))) {
            unset($this->Segments);
        } else {
            $this->Segments = $segments;
        }
        return $this;
    }
    /**
     * Get SpecialServices value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSpecialService|null
     */
    public function getSpecialServices()
    {
        return isset($this->SpecialServices) ? $this->SpecialServices : null;
    }
    /**
     * Set SpecialServices value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSpecialService $specialServices
     * @return \StructType\PrepareFlightsResponse
     */
    public function setSpecialServices(\ArrayType\ArrayOfSpecialService $specialServices = null)
    {
        if (is_null($specialServices) || (is_array($specialServices) && empty($specialServices))) {
            unset($this->SpecialServices);
        } else {
            $this->SpecialServices = $specialServices;
        }
        return $this;
    }
}
