<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchBookingResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SearchBookingResponse
 * @subpackage Structs
 */
class SearchBookingResponse extends AbstractResponse
{
    /**
     * The SearchBookingResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SearchBookingResponse
     */
    public $SearchBookingResult;
    /**
     * The BookingSummaries
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfBookingSummary
     */
    public $BookingSummaries;
    /**
     * Constructor method for SearchBookingResponse
     * @uses SearchBookingResponse::setSearchBookingResult()
     * @uses SearchBookingResponse::setBookingSummaries()
     * @param \StructType\SearchBookingResponse $searchBookingResult
     * @param \ArrayType\ArrayOfBookingSummary $bookingSummaries
     */
    public function __construct(\StructType\SearchBookingResponse $searchBookingResult = null, \ArrayType\ArrayOfBookingSummary $bookingSummaries = null)
    {
        $this
            ->setSearchBookingResult($searchBookingResult)
            ->setBookingSummaries($bookingSummaries);
    }
    /**
     * Get SearchBookingResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SearchBookingResponse|null
     */
    public function getSearchBookingResult()
    {
        return isset($this->SearchBookingResult) ? $this->SearchBookingResult : null;
    }
    /**
     * Set SearchBookingResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SearchBookingResponse $searchBookingResult
     * @return \StructType\SearchBookingResponse
     */
    public function setSearchBookingResult(\StructType\SearchBookingResponse $searchBookingResult = null)
    {
        if (is_null($searchBookingResult) || (is_array($searchBookingResult) && empty($searchBookingResult))) {
            unset($this->SearchBookingResult);
        } else {
            $this->SearchBookingResult = $searchBookingResult;
        }
        return $this;
    }
    /**
     * Get BookingSummaries value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfBookingSummary|null
     */
    public function getBookingSummaries()
    {
        return isset($this->BookingSummaries) ? $this->BookingSummaries : null;
    }
    /**
     * Set BookingSummaries value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfBookingSummary $bookingSummaries
     * @return \StructType\SearchBookingResponse
     */
    public function setBookingSummaries(\ArrayType\ArrayOfBookingSummary $bookingSummaries = null)
    {
        if (is_null($bookingSummaries) || (is_array($bookingSummaries) && empty($bookingSummaries))) {
            unset($this->BookingSummaries);
        } else {
            $this->BookingSummaries = $bookingSummaries;
        }
        return $this;
    }
}
