<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchFlightsForAdditionalItineraryRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SearchFlightsForAdditionalItineraryRequest
 * @subpackage Structs
 */
class SearchFlightsForAdditionalItineraryRequest extends AbstractRequest
{
    /**
     * The AvailabilitySettings
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AvailabilitySettings
     */
    public $AvailabilitySettings;
    /**
     * The FareDisplaySettings
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FareDisplayBaseSettings
     */
    public $FareDisplaySettings;
    /**
     * The OriginDestinations
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfOriginDestination
     */
    public $OriginDestinations;
    /**
     * The UniqueID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UniqueID
     */
    public $UniqueID;
    /**
     * The Verification
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Verification
     */
    public $Verification;
    /**
     * Constructor method for SearchFlightsForAdditionalItineraryRequest
     * @uses SearchFlightsForAdditionalItineraryRequest::setAvailabilitySettings()
     * @uses SearchFlightsForAdditionalItineraryRequest::setFareDisplaySettings()
     * @uses SearchFlightsForAdditionalItineraryRequest::setOriginDestinations()
     * @uses SearchFlightsForAdditionalItineraryRequest::setUniqueID()
     * @uses SearchFlightsForAdditionalItineraryRequest::setVerification()
     * @param \StructType\AvailabilitySettings $availabilitySettings
     * @param \StructType\FareDisplayBaseSettings $fareDisplaySettings
     * @param \ArrayType\ArrayOfOriginDestination $originDestinations
     * @param \StructType\UniqueID $uniqueID
     * @param \StructType\Verification $verification
     */
    public function __construct(\StructType\AvailabilitySettings $availabilitySettings = null, \StructType\FareDisplayBaseSettings $fareDisplaySettings = null, \ArrayType\ArrayOfOriginDestination $originDestinations = null, \StructType\UniqueID $uniqueID = null, \StructType\Verification $verification = null)
    {
        $this
            ->setAvailabilitySettings($availabilitySettings)
            ->setFareDisplaySettings($fareDisplaySettings)
            ->setOriginDestinations($originDestinations)
            ->setUniqueID($uniqueID)
            ->setVerification($verification);
    }
    /**
     * Get AvailabilitySettings value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AvailabilitySettings|null
     */
    public function getAvailabilitySettings()
    {
        return isset($this->AvailabilitySettings) ? $this->AvailabilitySettings : null;
    }
    /**
     * Set AvailabilitySettings value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\AvailabilitySettings $availabilitySettings
     * @return \StructType\SearchFlightsForAdditionalItineraryRequest
     */
    public function setAvailabilitySettings(\StructType\AvailabilitySettings $availabilitySettings = null)
    {
        if (is_null($availabilitySettings) || (is_array($availabilitySettings) && empty($availabilitySettings))) {
            unset($this->AvailabilitySettings);
        } else {
            $this->AvailabilitySettings = $availabilitySettings;
        }
        return $this;
    }
    /**
     * Get FareDisplaySettings value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FareDisplayBaseSettings|null
     */
    public function getFareDisplaySettings()
    {
        return isset($this->FareDisplaySettings) ? $this->FareDisplaySettings : null;
    }
    /**
     * Set FareDisplaySettings value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\FareDisplayBaseSettings $fareDisplaySettings
     * @return \StructType\SearchFlightsForAdditionalItineraryRequest
     */
    public function setFareDisplaySettings(\StructType\FareDisplayBaseSettings $fareDisplaySettings = null)
    {
        if (is_null($fareDisplaySettings) || (is_array($fareDisplaySettings) && empty($fareDisplaySettings))) {
            unset($this->FareDisplaySettings);
        } else {
            $this->FareDisplaySettings = $fareDisplaySettings;
        }
        return $this;
    }
    /**
     * Get OriginDestinations value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfOriginDestination|null
     */
    public function getOriginDestinations()
    {
        return isset($this->OriginDestinations) ? $this->OriginDestinations : null;
    }
    /**
     * Set OriginDestinations value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfOriginDestination $originDestinations
     * @return \StructType\SearchFlightsForAdditionalItineraryRequest
     */
    public function setOriginDestinations(\ArrayType\ArrayOfOriginDestination $originDestinations = null)
    {
        if (is_null($originDestinations) || (is_array($originDestinations) && empty($originDestinations))) {
            unset($this->OriginDestinations);
        } else {
            $this->OriginDestinations = $originDestinations;
        }
        return $this;
    }
    /**
     * Get UniqueID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UniqueID|null
     */
    public function getUniqueID()
    {
        return isset($this->UniqueID) ? $this->UniqueID : null;
    }
    /**
     * Set UniqueID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\UniqueID $uniqueID
     * @return \StructType\SearchFlightsForAdditionalItineraryRequest
     */
    public function setUniqueID(\StructType\UniqueID $uniqueID = null)
    {
        if (is_null($uniqueID) || (is_array($uniqueID) && empty($uniqueID))) {
            unset($this->UniqueID);
        } else {
            $this->UniqueID = $uniqueID;
        }
        return $this;
    }
    /**
     * Get Verification value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Verification|null
     */
    public function getVerification()
    {
        return isset($this->Verification) ? $this->Verification : null;
    }
    /**
     * Set Verification value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Verification $verification
     * @return \StructType\SearchFlightsForAdditionalItineraryRequest
     */
    public function setVerification(\StructType\Verification $verification = null)
    {
        if (is_null($verification) || (is_array($verification) && empty($verification))) {
            unset($this->Verification);
        } else {
            $this->Verification = $verification;
        }
        return $this;
    }
}
