<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchFlightsForExchangeResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SearchFlightsForExchangeResponse
 * @subpackage Structs
 */
class SearchFlightsForExchangeResponse extends AbstractResponse
{
    /**
     * The SearchFlightsForExchangeResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SearchFlightsForExchangeResponse
     */
    public $SearchFlightsForExchangeResult;
    /**
     * The Booking
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Booking
     */
    public $Booking;
    /**
     * The FareInfo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FareInfoOptions
     */
    public $FareInfo;
    /**
     * The Offer
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\OfferOut
     */
    public $Offer;
    /**
     * The Segments
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfSegmentOption
     */
    public $Segments;
    /**
     * Constructor method for SearchFlightsForExchangeResponse
     * @uses SearchFlightsForExchangeResponse::setSearchFlightsForExchangeResult()
     * @uses SearchFlightsForExchangeResponse::setBooking()
     * @uses SearchFlightsForExchangeResponse::setFareInfo()
     * @uses SearchFlightsForExchangeResponse::setOffer()
     * @uses SearchFlightsForExchangeResponse::setSegments()
     * @param \StructType\SearchFlightsForExchangeResponse $searchFlightsForExchangeResult
     * @param \StructType\Booking $booking
     * @param \StructType\FareInfoOptions $fareInfo
     * @param \StructType\OfferOut $offer
     * @param \ArrayType\ArrayOfSegmentOption $segments
     */
    public function __construct(\StructType\SearchFlightsForExchangeResponse $searchFlightsForExchangeResult = null, \StructType\Booking $booking = null, \StructType\FareInfoOptions $fareInfo = null, \StructType\OfferOut $offer = null, \ArrayType\ArrayOfSegmentOption $segments = null)
    {
        $this
            ->setSearchFlightsForExchangeResult($searchFlightsForExchangeResult)
            ->setBooking($booking)
            ->setFareInfo($fareInfo)
            ->setOffer($offer)
            ->setSegments($segments);
    }
    /**
     * Get SearchFlightsForExchangeResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SearchFlightsForExchangeResponse|null
     */
    public function getSearchFlightsForExchangeResult()
    {
        return isset($this->SearchFlightsForExchangeResult) ? $this->SearchFlightsForExchangeResult : null;
    }
    /**
     * Set SearchFlightsForExchangeResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SearchFlightsForExchangeResponse $searchFlightsForExchangeResult
     * @return \StructType\SearchFlightsForExchangeResponse
     */
    public function setSearchFlightsForExchangeResult(\StructType\SearchFlightsForExchangeResponse $searchFlightsForExchangeResult = null)
    {
        if (is_null($searchFlightsForExchangeResult) || (is_array($searchFlightsForExchangeResult) && empty($searchFlightsForExchangeResult))) {
            unset($this->SearchFlightsForExchangeResult);
        } else {
            $this->SearchFlightsForExchangeResult = $searchFlightsForExchangeResult;
        }
        return $this;
    }
    /**
     * Get Booking value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Booking|null
     */
    public function getBooking()
    {
        return isset($this->Booking) ? $this->Booking : null;
    }
    /**
     * Set Booking value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Booking $booking
     * @return \StructType\SearchFlightsForExchangeResponse
     */
    public function setBooking(\StructType\Booking $booking = null)
    {
        if (is_null($booking) || (is_array($booking) && empty($booking))) {
            unset($this->Booking);
        } else {
            $this->Booking = $booking;
        }
        return $this;
    }
    /**
     * Get FareInfo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FareInfoOptions|null
     */
    public function getFareInfo()
    {
        return isset($this->FareInfo) ? $this->FareInfo : null;
    }
    /**
     * Set FareInfo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\FareInfoOptions $fareInfo
     * @return \StructType\SearchFlightsForExchangeResponse
     */
    public function setFareInfo(\StructType\FareInfoOptions $fareInfo = null)
    {
        if (is_null($fareInfo) || (is_array($fareInfo) && empty($fareInfo))) {
            unset($this->FareInfo);
        } else {
            $this->FareInfo = $fareInfo;
        }
        return $this;
    }
    /**
     * Get Offer value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\OfferOut|null
     */
    public function getOffer()
    {
        return isset($this->Offer) ? $this->Offer : null;
    }
    /**
     * Set Offer value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\OfferOut $offer
     * @return \StructType\SearchFlightsForExchangeResponse
     */
    public function setOffer(\StructType\OfferOut $offer = null)
    {
        if (is_null($offer) || (is_array($offer) && empty($offer))) {
            unset($this->Offer);
        } else {
            $this->Offer = $offer;
        }
        return $this;
    }
    /**
     * Get Segments value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfSegmentOption|null
     */
    public function getSegments()
    {
        return isset($this->Segments) ? $this->Segments : null;
    }
    /**
     * Set Segments value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfSegmentOption $segments
     * @return \StructType\SearchFlightsForExchangeResponse
     */
    public function setSegments(\ArrayType\ArrayOfSegmentOption $segments = null)
    {
        if (is_null($segments) || (is_array($segments) && empty($segments))) {
            unset($this->Segments);
        } else {
            $this->Segments = $segments;
        }
        return $this;
    }
}
