<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchFlightsRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SearchFlightsRequest
 * @subpackage Structs
 */
class SearchFlightsRequest extends AbstractRequest
{
    /**
     * The AvailabilitySettings
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\AvailabilitySettings
     */
    public $AvailabilitySettings;
    /**
     * The FareDisplaySettings
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\FareDisplaySettings
     */
    public $FareDisplaySettings;
    /**
     * The OriginDestinations
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfOriginDestination
     */
    public $OriginDestinations;
    /**
     * The Passengers
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfPassenger
     */
    public $Passengers;
    /**
     * Constructor method for SearchFlightsRequest
     * @uses SearchFlightsRequest::setAvailabilitySettings()
     * @uses SearchFlightsRequest::setFareDisplaySettings()
     * @uses SearchFlightsRequest::setOriginDestinations()
     * @uses SearchFlightsRequest::setPassengers()
     * @param \StructType\AvailabilitySettings $availabilitySettings
     * @param \StructType\FareDisplaySettings $fareDisplaySettings
     * @param \ArrayType\ArrayOfOriginDestination $originDestinations
     * @param \ArrayType\ArrayOfPassenger $passengers
     */
    public function __construct(\StructType\AvailabilitySettings $availabilitySettings = null, \StructType\FareDisplaySettings $fareDisplaySettings = null, \ArrayType\ArrayOfOriginDestination $originDestinations = null, \ArrayType\ArrayOfPassenger $passengers = null)
    {
        $this
            ->setAvailabilitySettings($availabilitySettings)
            ->setFareDisplaySettings($fareDisplaySettings)
            ->setOriginDestinations($originDestinations)
            ->setPassengers($passengers);
    }
    /**
     * Get AvailabilitySettings value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\AvailabilitySettings|null
     */
    public function getAvailabilitySettings()
    {
        return isset($this->AvailabilitySettings) ? $this->AvailabilitySettings : null;
    }
    /**
     * Set AvailabilitySettings value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\AvailabilitySettings $availabilitySettings
     * @return \StructType\SearchFlightsRequest
     */
    public function setAvailabilitySettings(\StructType\AvailabilitySettings $availabilitySettings = null)
    {
        if (is_null($availabilitySettings) || (is_array($availabilitySettings) && empty($availabilitySettings))) {
            unset($this->AvailabilitySettings);
        } else {
            $this->AvailabilitySettings = $availabilitySettings;
        }
        return $this;
    }
    /**
     * Get FareDisplaySettings value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\FareDisplaySettings|null
     */
    public function getFareDisplaySettings()
    {
        return isset($this->FareDisplaySettings) ? $this->FareDisplaySettings : null;
    }
    /**
     * Set FareDisplaySettings value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\FareDisplaySettings $fareDisplaySettings
     * @return \StructType\SearchFlightsRequest
     */
    public function setFareDisplaySettings(\StructType\FareDisplaySettings $fareDisplaySettings = null)
    {
        if (is_null($fareDisplaySettings) || (is_array($fareDisplaySettings) && empty($fareDisplaySettings))) {
            unset($this->FareDisplaySettings);
        } else {
            $this->FareDisplaySettings = $fareDisplaySettings;
        }
        return $this;
    }
    /**
     * Get OriginDestinations value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfOriginDestination|null
     */
    public function getOriginDestinations()
    {
        return isset($this->OriginDestinations) ? $this->OriginDestinations : null;
    }
    /**
     * Set OriginDestinations value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfOriginDestination $originDestinations
     * @return \StructType\SearchFlightsRequest
     */
    public function setOriginDestinations(\ArrayType\ArrayOfOriginDestination $originDestinations = null)
    {
        if (is_null($originDestinations) || (is_array($originDestinations) && empty($originDestinations))) {
            unset($this->OriginDestinations);
        } else {
            $this->OriginDestinations = $originDestinations;
        }
        return $this;
    }
    /**
     * Get Passengers value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfPassenger|null
     */
    public function getPassengers()
    {
        return isset($this->Passengers) ? $this->Passengers : null;
    }
    /**
     * Set Passengers value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfPassenger $passengers
     * @return \StructType\SearchFlightsRequest
     */
    public function setPassengers(\ArrayType\ArrayOfPassenger $passengers = null)
    {
        if (is_null($passengers) || (is_array($passengers) && empty($passengers))) {
            unset($this->Passengers);
        } else {
            $this->Passengers = $passengers;
        }
        return $this;
    }
}
