<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SearchServicesResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SearchServicesResponse
 * @subpackage Structs
 */
class SearchServicesResponse extends AbstractResponse
{
    /**
     * The SearchServicesResult
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\SearchServicesResponse
     */
    public $SearchServicesResult;
    /**
     * The EMDTicketFareOptions
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfEMDTicketFareOption
     */
    public $EMDTicketFareOptions;
    /**
     * The SaleCurrencyCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $SaleCurrencyCode;
    /**
     * Constructor method for SearchServicesResponse
     * @uses SearchServicesResponse::setSearchServicesResult()
     * @uses SearchServicesResponse::setEMDTicketFareOptions()
     * @uses SearchServicesResponse::setSaleCurrencyCode()
     * @param \StructType\SearchServicesResponse $searchServicesResult
     * @param \ArrayType\ArrayOfEMDTicketFareOption $eMDTicketFareOptions
     * @param string $saleCurrencyCode
     */
    public function __construct(\StructType\SearchServicesResponse $searchServicesResult = null, \ArrayType\ArrayOfEMDTicketFareOption $eMDTicketFareOptions = null, $saleCurrencyCode = null)
    {
        $this
            ->setSearchServicesResult($searchServicesResult)
            ->setEMDTicketFareOptions($eMDTicketFareOptions)
            ->setSaleCurrencyCode($saleCurrencyCode);
    }
    /**
     * Get SearchServicesResult value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\SearchServicesResponse|null
     */
    public function getSearchServicesResult()
    {
        return isset($this->SearchServicesResult) ? $this->SearchServicesResult : null;
    }
    /**
     * Set SearchServicesResult value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\SearchServicesResponse $searchServicesResult
     * @return \StructType\SearchServicesResponse
     */
    public function setSearchServicesResult(\StructType\SearchServicesResponse $searchServicesResult = null)
    {
        if (is_null($searchServicesResult) || (is_array($searchServicesResult) && empty($searchServicesResult))) {
            unset($this->SearchServicesResult);
        } else {
            $this->SearchServicesResult = $searchServicesResult;
        }
        return $this;
    }
    /**
     * Get EMDTicketFareOptions value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfEMDTicketFareOption|null
     */
    public function getEMDTicketFareOptions()
    {
        return isset($this->EMDTicketFareOptions) ? $this->EMDTicketFareOptions : null;
    }
    /**
     * Set EMDTicketFareOptions value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfEMDTicketFareOption $eMDTicketFareOptions
     * @return \StructType\SearchServicesResponse
     */
    public function setEMDTicketFareOptions(\ArrayType\ArrayOfEMDTicketFareOption $eMDTicketFareOptions = null)
    {
        if (is_null($eMDTicketFareOptions) || (is_array($eMDTicketFareOptions) && empty($eMDTicketFareOptions))) {
            unset($this->EMDTicketFareOptions);
        } else {
            $this->EMDTicketFareOptions = $eMDTicketFareOptions;
        }
        return $this;
    }
    /**
     * Get SaleCurrencyCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getSaleCurrencyCode()
    {
        return isset($this->SaleCurrencyCode) ? $this->SaleCurrencyCode : null;
    }
    /**
     * Set SaleCurrencyCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $saleCurrencyCode
     * @return \StructType\SearchServicesResponse
     */
    public function setSaleCurrencyCode($saleCurrencyCode = null)
    {
        // validation for constraint: string
        if (!is_null($saleCurrencyCode) && !is_string($saleCurrencyCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($saleCurrencyCode, true), gettype($saleCurrencyCode)), __LINE__);
        }
        if (is_null($saleCurrencyCode) || (is_array($saleCurrencyCode) && empty($saleCurrencyCode))) {
            unset($this->SaleCurrencyCode);
        } else {
            $this->SaleCurrencyCode = $saleCurrencyCode;
        }
        return $this;
    }
}
