<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SplitBookingRequest StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SplitBookingRequest
 * @subpackage Structs
 */
class SplitBookingRequest extends AbstractRequest
{
    /**
     * The Comment
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Comment;
    /**
     * The PassengersToSplit
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \ArrayType\ArrayOfPassengerSplitReference
     */
    public $PassengersToSplit;
    /**
     * The UniqueID
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\UniqueID
     */
    public $UniqueID;
    /**
     * The Verification
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\Verification
     */
    public $Verification;
    /**
     * Constructor method for SplitBookingRequest
     * @uses SplitBookingRequest::setComment()
     * @uses SplitBookingRequest::setPassengersToSplit()
     * @uses SplitBookingRequest::setUniqueID()
     * @uses SplitBookingRequest::setVerification()
     * @param string $comment
     * @param \ArrayType\ArrayOfPassengerSplitReference $passengersToSplit
     * @param \StructType\UniqueID $uniqueID
     * @param \StructType\Verification $verification
     */
    public function __construct($comment = null, \ArrayType\ArrayOfPassengerSplitReference $passengersToSplit = null, \StructType\UniqueID $uniqueID = null, \StructType\Verification $verification = null)
    {
        $this
            ->setComment($comment)
            ->setPassengersToSplit($passengersToSplit)
            ->setUniqueID($uniqueID)
            ->setVerification($verification);
    }
    /**
     * Get Comment value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getComment()
    {
        return isset($this->Comment) ? $this->Comment : null;
    }
    /**
     * Set Comment value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $comment
     * @return \StructType\SplitBookingRequest
     */
    public function setComment($comment = null)
    {
        // validation for constraint: string
        if (!is_null($comment) && !is_string($comment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($comment, true), gettype($comment)), __LINE__);
        }
        if (is_null($comment) || (is_array($comment) && empty($comment))) {
            unset($this->Comment);
        } else {
            $this->Comment = $comment;
        }
        return $this;
    }
    /**
     * Get PassengersToSplit value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \ArrayType\ArrayOfPassengerSplitReference|null
     */
    public function getPassengersToSplit()
    {
        return isset($this->PassengersToSplit) ? $this->PassengersToSplit : null;
    }
    /**
     * Set PassengersToSplit value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \ArrayType\ArrayOfPassengerSplitReference $passengersToSplit
     * @return \StructType\SplitBookingRequest
     */
    public function setPassengersToSplit(\ArrayType\ArrayOfPassengerSplitReference $passengersToSplit = null)
    {
        if (is_null($passengersToSplit) || (is_array($passengersToSplit) && empty($passengersToSplit))) {
            unset($this->PassengersToSplit);
        } else {
            $this->PassengersToSplit = $passengersToSplit;
        }
        return $this;
    }
    /**
     * Get UniqueID value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\UniqueID|null
     */
    public function getUniqueID()
    {
        return isset($this->UniqueID) ? $this->UniqueID : null;
    }
    /**
     * Set UniqueID value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\UniqueID $uniqueID
     * @return \StructType\SplitBookingRequest
     */
    public function setUniqueID(\StructType\UniqueID $uniqueID = null)
    {
        if (is_null($uniqueID) || (is_array($uniqueID) && empty($uniqueID))) {
            unset($this->UniqueID);
        } else {
            $this->UniqueID = $uniqueID;
        }
        return $this;
    }
    /**
     * Get Verification value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\Verification|null
     */
    public function getVerification()
    {
        return isset($this->Verification) ? $this->Verification : null;
    }
    /**
     * Set Verification value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \StructType\Verification $verification
     * @return \StructType\SplitBookingRequest
     */
    public function setVerification(\StructType\Verification $verification = null)
    {
        if (is_null($verification) || (is_array($verification) && empty($verification))) {
            unset($this->Verification);
        } else {
            $this->Verification = $verification;
        }
        return $this;
    }
}
